@x-otto/tui 0.0.1-alpha.8 → 0.1.0-alpha.9
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/README.md +41 -38
- package/dist/{Tabable-CdaKqnEq.d.ts → Tabable-BRz398OB.d.ts} +171 -63
- package/dist/Tabable-BRz398OB.d.ts.map +1 -0
- package/dist/WizardDialog-y3yLsmoV.js +14 -0
- package/dist/WizardDialog-y3yLsmoV.js.map +1 -0
- package/dist/compat.d.ts +5 -0
- package/dist/compat.d.ts.map +1 -1
- package/dist/compat.js +1 -1
- package/dist/compat.js.map +1 -1
- package/dist/i18n-CpUZSqYB.js +76 -0
- package/dist/i18n-CpUZSqYB.js.map +1 -0
- package/dist/index.d.ts +202 -25
- package/dist/index.d.ts.map +1 -1
- package/dist/index.js +89 -83
- package/dist/index.js.map +1 -1
- package/dist/standalone.d.ts +1 -1
- package/dist/standalone.d.ts.map +1 -1
- package/dist/standalone.js +1 -1
- package/dist/standalone.js.map +1 -1
- package/package.json +8 -7
- package/dist/Tabable-CdaKqnEq.d.ts.map +0 -1
- package/dist/WizardDialog-zXXC_W25.js +0 -10
- package/dist/WizardDialog-zXXC_W25.js.map +0 -1
- package/dist/i18n-KiLOGLXu.js +0 -76
- package/dist/i18n-KiLOGLXu.js.map +0 -1
package/dist/index.d.ts
CHANGED
|
@@ -1,8 +1,9 @@
|
|
|
1
1
|
import { Command, CommandContext, CommandRegistry, CommandResult, RenderOptions, createBuiltinCommands, showCommandPalette } from "./compat.js";
|
|
2
|
-
import { $ as ExtensionMenuContribution, $n as
|
|
2
|
+
import { $ as ExtensionMenuContribution, $n as ToolCompletionMessage, $t as subagentEntryStatus, A as RemoteSessionSnapshot, An as ThemeRegistry, At as SigilPrefix, B as createSelectState, Bn as THEME, Bt as navigateSuggestions, C as TuiHandle, Cn as Risk, Ct as formatProviderUsageLimitTypeFull, Dn as ThemePresetInput, Dt as SubmitMode, E as TuiStreamEvent, En as ThemePreset, Et as PromptInput, F as MessageStore, Fn as PANEL_BORDER, Ft as TypeaheadState, G as MemoryDialog, Gn as MessageContent, Gt as PasteStoreResidencySource, H as NotifyScheduler, Hn as A2uiContent, Ht as PasteSnapshot, In as FIGURES, It as applySlashCompletion, J as MemoryEntrySource, Jn as StopReason, Jt as ObservationLike, K as MemoryDialogProps, Kn as PendingPermission, Kt as createPasteStore, L as SelectOption, Ln as FiguresMap, Lt as createCommandRegistry, M as SessionDataTarget, Mn as LAYOUT, Mt as CommandEntry, N as SessionTransport, Nn as SPACING, Nt as CommandRegistry$1, O as AttachDataSourceDeps, On as ThemePresetSelection, Ot as SigilEntry, P as createAttachSessionDataSource, Pn as DIALOG_BORDER, Pt as SlashNavigateAction, Q as ExtensionListEntry, Qn as ToolCall, Qt as observationRow, R as SelectOptions, Rn as PALETTE, Rt as extractSlashPrefix, S as SubagentContext, Sn as LangMode, St as ProviderUsageBadgeItem, T as TuiPanelRegistration, Tn as ThemeAppearance, Tt as QueuedCommands, U as NotifyStats, Un as AssistantMessage, Ut as PasteSnapshotEntry, V as A2uiButtonInfo, Vn as ThemeColors, Vt as CreatePasteStoreOptions, W as makeNotifyScheduler, Wn as ChatMessage, Wt as PasteStore, Xn as TextContent, Xt as formatTurnTimeline, Yn as StreamEvent, Yt as formatAgentDiagnosticsText, Zn as ThinkingContent, Zt as observationLiveFields, _ as ModalRequestInput, _n as detectLanguage, _t as createBudgetStore, an as RateLimitType, at as ButtonProps, b as PluginRegistration, bn as t, bt as HomeProps, c as TabableRegistry, cn as KeyBindingPredicate, ct as RegisteredRenderer, dn as DataListProps, dt as NotificationStore, en as subagentRestoreFields, er as ToolMessage, et as ExtensionsListRequest, f as ConfirmDialog, fn as DataListRow, ft as ProxyStore, g as DraftItemView, gn as useAppState, gt as BudgetView, h as ConfirmRequest, hn as Store, ht as BudgetStore, i as Tabable, in as ErrorRetryItem, it as ButtonColor, j as SessionDataSource, jn as createBuiltinThemeRegistry, jt as SigilSearchRegistry, k as RemoteSessionEvent, kn as ThemePresetSource, kt as SigilKind, l as UseTabableOptions, ln as DataList, lt as clearPluginRenderers, m as AlertRequest, mn as StatusStore, mt as BudgetState, nn as ErrorRetryAction, nt as ExtensionDetailRequest, on as ContextStore, ot as ButtonVariant, p as ConfirmDialogProps, pn as DataListTone, pt as CacheStore, q as MemoryEntry, qn as PulseSurveyItem, qt as Completer, rn as ErrorRetryActionKind, rt as Button, s as TabableProps, sn as OnboardingResult, st as PluginMessageRenderer, t as FocusStyle, tn as EditedFileEntry, tr as UserMessage, tt as ExtensionDetailAction, u as useTabable, un as DataListEntry, ut as registerPluginRenderers, v as ModalRequestVoid, vn as i18next, vt as TaskStore, w as TuiOptions, wn as MarkdownThemeOverrides, wt as isUsingOverage, x as PromptRequest, xn as Lang, xt as SessionListItem, y as PermissionDecision, yn as initI18n, yt as Home, z as SelectState, zn as STATUS, zt as getCommandSuggestions } from "./Tabable-BRz398OB.js";
|
|
3
3
|
import React from "react";
|
|
4
4
|
import { DOMElement, Key } from "ink";
|
|
5
5
|
import { FuzzySearchOptions, HighlightRange, RankedMatch, SearchableItem, SubsequenceResult, matchSubsequence, positionsToHighlightRanges, rankCandidates, rankLabeledItems, rankNamedItems, scoreSubsequence } from "@x-otto/shared";
|
|
6
|
+
import * as _$_x_otto_interchange0 from "@x-otto/interchange";
|
|
6
7
|
import { SigilTrigger, applySigilCompletion, extractSigilPrefix } from "@x-otto/interchange";
|
|
7
8
|
import { SessionEvent, TaskItem } from "@x-otto/session-contract";
|
|
8
9
|
|
|
@@ -35,11 +36,7 @@ declare function promptParentWorkspaceChoice(opts: ParentWorkspacePromptOptions)
|
|
|
35
36
|
//#endregion
|
|
36
37
|
//#region src/ui-state/types.d.ts
|
|
37
38
|
/** 此刻持有键盘焦点的拥有者。优先级见 focus.ts FOCUS_PRIORITY。 */
|
|
38
|
-
type FocusOwner = 'home' | 'forcedUpgrade' | 'prompt'
|
|
39
|
-
/** `/help` 命令面板独立查看器(复用 FileContentViewer 固定高度+滚动逻辑,同 fileViewer 一类)。 */
|
|
40
|
-
/** RFC-212 D3:Enter-on-chip 打开的只读内容查看器(paste chip 原文查看)。 */
|
|
41
|
-
/** shell 面板 `v` 键打开的全量输出查看器(复用 FileContentViewer 固定高度+滚动逻辑)。 */
|
|
42
|
-
| 'shellFullOutput' | 'notifications' | 'background' | 'pasteConfirm' | 'editedFiles' | 'schedule' | 'subagents' | 'clipboard' | 'taskFocus' | 'taskDetail' | 'subagentContext' | 'editedFileFull' | 'sigilPane' | 'shell' | 'draft' | 'queue' | 'info' | 'queueEdit' | 'perf' | 'cacheStats' | 'compactionLog' | 'gallery'
|
|
39
|
+
type FocusOwner = 'home' | 'forcedUpgrade' | 'prompt' /** shell 面板 `v` 键打开的全量输出查看器(复用 FileContentViewer 固定高度+滚动逻辑)。 */ | 'shellFullOutput' | 'notifications' | 'background' | 'pasteConfirm' | 'editedFiles' | 'schedule' | 'subagents' | 'clipboard' | 'taskFocus' | 'taskDetail' | 'subagentContext' | 'editedFileFull' | 'sigilPane' | 'shell' | 'draft' | 'queue' | 'info' | 'queueEdit' | 'perf' | 'cacheStats' | 'compactionLog' | 'gallery'
|
|
43
40
|
/** RFC-255 终局:/pane/proxy 面板焦点归属。此前 App.tsx routeDerivedOwner 已返回 'proxy'
|
|
44
41
|
* 但缺类型成员(靠 as FocusOwner 强转),useRouteDerivedOwner hook 则降级为 'prompt'
|
|
45
42
|
* 丢失语义——补成员后两处统一为 'proxy'(proxy 面板打开时 onFocusOwnerChange 得到非
|
|
@@ -215,9 +212,14 @@ declare class MeasuredText {
|
|
|
215
212
|
declare class Cursor {
|
|
216
213
|
readonly measuredText: MeasuredText;
|
|
217
214
|
readonly offset: number;
|
|
215
|
+
/**
|
|
216
|
+
* 选区锚点(RFC-437 D8)。不变量:**无选区 ⟺ selection === offset**——普通移动后
|
|
217
|
+
* selection 跟随 offset(构造默认值实现),Shift 移动时锚点保持。不用 0 作哨兵
|
|
218
|
+
* (0 是合法锚点:从文本开头 Shift+→ 选首字符时锚点就是 0)。
|
|
219
|
+
*/
|
|
218
220
|
readonly selection: number;
|
|
219
221
|
private constructor();
|
|
220
|
-
static fromText(text: string, columns: number, offset?: number): Cursor;
|
|
222
|
+
static fromText(text: string, columns: number, offset?: number, selection?: number): Cursor;
|
|
221
223
|
static fromCursor(cursor: Cursor, columns?: number): Cursor;
|
|
222
224
|
get text(): string;
|
|
223
225
|
get columns(): number;
|
|
@@ -248,6 +250,48 @@ declare class Cursor {
|
|
|
248
250
|
cursor: Cursor;
|
|
249
251
|
killed: string;
|
|
250
252
|
};
|
|
253
|
+
/**
|
|
254
|
+
* RFC-437 D5:词移动(左)——prevWord 目标若落在 chip 内部,吸附到 chip.start
|
|
255
|
+
* (与 up/down 的 snapOutOfChip 同款原子化防护,对齐 RFC-212)。
|
|
256
|
+
*/
|
|
257
|
+
wordLeft(): Cursor;
|
|
258
|
+
/** RFC-437 D5:词移动(右),对称吸附。 */
|
|
259
|
+
wordRight(): Cursor;
|
|
260
|
+
/**
|
|
261
|
+
* RFC-437 D5:删除光标右侧一词(Alt/Ctrl+Delete)。光标停在 chip 起点 → 整块删
|
|
262
|
+
* chip;否则删 `[offset, nextWord().offset)` 区间——与 killWordBefore 的 chip
|
|
263
|
+
* 处理对称。返回 killed 供 kill-ring(规则 9)。
|
|
264
|
+
*/
|
|
265
|
+
killWordAfter(): {
|
|
266
|
+
cursor: Cursor;
|
|
267
|
+
killed: string;
|
|
268
|
+
};
|
|
269
|
+
private anchor;
|
|
270
|
+
/** 选区区间 `[start, end)`;无选区返回 null(不变量:selection === offset)。 */
|
|
271
|
+
get selectionRange(): {
|
|
272
|
+
start: number;
|
|
273
|
+
end: number;
|
|
274
|
+
} | null;
|
|
275
|
+
selectLeft(): Cursor;
|
|
276
|
+
selectRight(): Cursor;
|
|
277
|
+
selectWordLeft(): Cursor;
|
|
278
|
+
selectWordRight(): Cursor;
|
|
279
|
+
selectToLineStart(): Cursor;
|
|
280
|
+
selectToLineEnd(): Cursor;
|
|
281
|
+
selectToStart(): Cursor;
|
|
282
|
+
selectToEnd(): Cursor;
|
|
283
|
+
/** RFC-437 D10:清除选区(Esc 有选区时只清选区不清文本);offset 不变。 */
|
|
284
|
+
clearSelection(): Cursor;
|
|
285
|
+
/**
|
|
286
|
+
* RFC-437 D10:删除选区内容(纯删除,不进 kill-ring——调用方按 action 决定)。
|
|
287
|
+
* 无选区返回 null(调用方应先用 hasSelection 判定)。
|
|
288
|
+
*/
|
|
289
|
+
deleteSelection(): {
|
|
290
|
+
cursor: Cursor;
|
|
291
|
+
killed: string;
|
|
292
|
+
} | null;
|
|
293
|
+
/** RFC-437 D10:以 ins 替换选区(输入覆盖/yank 替换);无选区返回自身。 */
|
|
294
|
+
replaceSelection(ins: string): Cursor;
|
|
251
295
|
modifyText(end: number, ins?: string): Cursor;
|
|
252
296
|
deleteTokenBefore(): Cursor | null;
|
|
253
297
|
getViewportStartLine(maxVisible: number): number;
|
|
@@ -265,7 +309,7 @@ interface EditKeyEvent {
|
|
|
265
309
|
alt: boolean;
|
|
266
310
|
meta: boolean;
|
|
267
311
|
}
|
|
268
|
-
type EditAction = 'insert' | 'delete_backward' | 'delete_forward' | 'kill_to_end' | 'kill_to_start' | 'kill_word_before' | 'move_to_start' | 'move_to_end' | 'move_left' | 'move_right' | 'move_word_left' | 'move_word_right' | 'submit' | 'submit_force' | 'none' | 'clear_text';
|
|
312
|
+
type EditAction = 'insert' | 'delete_backward' | 'delete_forward' | 'kill_to_end' | 'kill_to_start' | 'kill_word_before' | 'kill_word_after' | 'move_to_start' | 'move_to_end' | 'move_to_line_start' | 'move_to_line_end' | 'move_to_text_start' | 'move_to_text_end' | 'move_left' | 'move_right' | 'move_word_left' | 'move_word_right' | 'select_left' | 'select_right' | 'select_word_left' | 'select_word_right' | 'select_to_line_start' | 'select_to_line_end' | 'select_to_start' | 'select_to_end' | 'delete_selection' | 'kill_selection' | 'clear_selection' | 'submit' | 'submit_force' | 'none' | 'clear_text';
|
|
269
313
|
interface EditResult {
|
|
270
314
|
cursor: Cursor;
|
|
271
315
|
action: EditAction;
|
|
@@ -385,6 +429,11 @@ interface TextInputProps {
|
|
|
385
429
|
* 挂根(稳定节点)而非光标行(行节点 key 含内容、每帧重建);光标行相对根的
|
|
386
430
|
* 偏移由 computeCursorInline 同帧算出(与渲染结构逐行同源)。 */
|
|
387
431
|
containerRef?: React.Ref<DOMElement>;
|
|
432
|
+
/**
|
|
433
|
+
* RFC-437 D12:选区锚点(null = 无选区)。与 offset 构成 `[min,max)` 半开区间,
|
|
434
|
+
* 区间内 grapheme 以 inverse 反显。渲染层只读,状态机维护。
|
|
435
|
+
*/
|
|
436
|
+
selection?: number | null;
|
|
388
437
|
/**
|
|
389
438
|
* RFC-317:是否声明**物理光标**(IME 候选框锚定的前提)。
|
|
390
439
|
*
|
|
@@ -414,7 +463,8 @@ declare const TextInput: React.MemoExoticComponent<({
|
|
|
414
463
|
invalidPasteIds,
|
|
415
464
|
containerRef,
|
|
416
465
|
physicalCursor,
|
|
417
|
-
deleteKeyAt
|
|
466
|
+
deleteKeyAt,
|
|
467
|
+
selection
|
|
418
468
|
}: TextInputProps) => React.ReactElement>;
|
|
419
469
|
//#endregion
|
|
420
470
|
//#region src/input/horizontal-step.d.ts
|
|
@@ -435,7 +485,7 @@ declare function resolveHorizontalStep(key: Key): -1 | 0 | 1;
|
|
|
435
485
|
declare function cycleIndex(current: number, step: number, count: number): number;
|
|
436
486
|
//#endregion
|
|
437
487
|
//#region src/input/submit-routing.d.ts
|
|
438
|
-
type SubmitRoute = 'command' | 'steer' | 'queue' | 'send';
|
|
488
|
+
type SubmitRoute = 'command' | 'action' | 'steer' | 'queue' | 'send';
|
|
439
489
|
interface SubmitRouteCtx {
|
|
440
490
|
/** agent 是否正在跑(TUI 镜像态)。 */
|
|
441
491
|
processing: boolean;
|
|
@@ -450,6 +500,51 @@ interface SubmitRouteCtx {
|
|
|
450
500
|
}
|
|
451
501
|
/** 提取斜杠命令名(小写,无 /);非 send 模式或非 / 开头 → 空串。 */
|
|
452
502
|
declare function slashCommandName(text: string, mode: SubmitMode): string;
|
|
503
|
+
/**
|
|
504
|
+
* action chip(副作用型 sigil:`[@model:id]` / `[@effort:level]`)匹配的**单一真源**正则。
|
|
505
|
+
*
|
|
506
|
+
* ⚠️ 内值段用 `(?:\\\]|[^\]])*` 而非早期的 `[^\]]*`——必须与 cli 侧 `extractModelChips`/
|
|
507
|
+
* `extractEffortChips`(interactive-model.ts)逐字符对齐,否则两套正则对同一输入判定分歧,
|
|
508
|
+
* 制造过一次真实卡死事故(2026-08-14 复现):
|
|
509
|
+
* 输入 `[@model:a\]b]`(chip 值含转义右括号)→ 本处早期 `[^\]]*` 遇首个 `]` 即停 →
|
|
510
|
+
* `isPureActionChip=false` → 路由到 `send` → onSubmit 置 `agentProcessing=true` →
|
|
511
|
+
* 但 cli 的 `\]`-aware `extract*` 能把整段剥净 → `isEmptySubmit=true` 提前 return →
|
|
512
|
+
* (置位在 try 之外)绕过 finally → `agentProcessing` 永久卡 true → ESC/Ctrl+C 恒判忙、
|
|
513
|
+
* 无法终止。统一正则从源头消除该分歧路由。
|
|
514
|
+
*
|
|
515
|
+
* `g` flag 不加在此常量上(各调用点用带 flag 的 `new RegExp` 拷贝,避免共享 lastIndex)。
|
|
516
|
+
*/
|
|
517
|
+
declare const ACTION_CHIP_PATTERN: string;
|
|
518
|
+
/**
|
|
519
|
+
* action chip **值段**子模式(`[@kind:` 与 `]` 之间的部分)——`ACTION_CHIP_PATTERN`
|
|
520
|
+
* 与 cli 侧 `extractModelChips`/`extractEffortChips` 共用的**唯一**内值语法真源,杜绝
|
|
521
|
+
* 三处正则各写一份、日后漂移复现分歧卡死。用 `\\\]`(转义右括号)或非 `]` 字符。
|
|
522
|
+
*/
|
|
523
|
+
declare const ACTION_CHIP_VALUE_SEGMENT: string;
|
|
524
|
+
/**
|
|
525
|
+
* 纯 action chip 判定(终局设计 2026-08-14):提交文本**只含** `[@model:...]` /
|
|
526
|
+
* `[@effort:...]` 这类副作用 chip(剥离后为空)——语义是「切换模型/档位」的命令,
|
|
527
|
+
* 不是对话内容。这类提交必须走独立 `'action'` 路由:
|
|
528
|
+
* - 不撞 agentBusy/ErrorRetryCard 拦截(ErrorRetryCard 在场时 agentBusy() 恒 true,
|
|
529
|
+
* 纯 action 会被误当 steer/queue 拦下——用户实测"无法终止")
|
|
530
|
+
* - 不注入空 steer(busy 窗口剥离后空文本,若 guard 失效会空转)
|
|
531
|
+
* - 不依赖"剥离后空 return"的隐式兜底(显式 action 路由)
|
|
532
|
+
*/
|
|
533
|
+
declare function isPureActionChip(text: string, mode: SubmitMode): boolean;
|
|
534
|
+
/**
|
|
535
|
+
* RFC-326 §6.7 草稿保护判据(单一真源,InputRegion.handleSubmitWithDraftGuard 消费)。
|
|
536
|
+
*
|
|
537
|
+
* `true` = 本次提交应**保留输入框原文**(宿主拒绝受理,PromptInput 不清空)。
|
|
538
|
+
* 两个豁免(与 slash 命令同源的设计:这些输入是"命令语义",不是等待重发的对话内容):
|
|
539
|
+
* - slash 命令(`/setup`、`/model` 等逃生路径)
|
|
540
|
+
* - 纯 action chip(`[@model:...]`/`[@effort:...]` 单独提交)
|
|
541
|
+
*
|
|
542
|
+
* 纯 action chip 豁免是 2026-08-14 终局修复:action 快速通道**不检查 modelReady**
|
|
543
|
+
* (它恰恰要能在 ErrorRetryCard/忙时切换模型),副作用经 `cbs.onSubmit` 先行执行——
|
|
544
|
+
* 若此处仍返回 `true`,就会出现"模型已切换成功(内容发出)但输入框残留 chip"的矛盾
|
|
545
|
+
* 体验(实测报障)。切换命令没有"未发出草稿"的价值,放行清空。
|
|
546
|
+
*/
|
|
547
|
+
declare function shouldPreserveDraft(text: string, mode: SubmitMode, needsSetup: boolean): boolean;
|
|
453
548
|
/**
|
|
454
549
|
* cli 端"有效忙"= 引擎 prompt in-flight(engineBusy=session.isBusy) **或** cli 处理周期内
|
|
455
550
|
* (cliProcessing=agentProcessing,含续轮循环)。取**或**是要害:续轮循环两轮 handleInput 之间
|
|
@@ -804,6 +899,15 @@ interface REPLRegionProps {
|
|
|
804
899
|
onFindCountChange?: (count: number) => void;
|
|
805
900
|
onReviewHintChange?: (hint: string | null) => void;
|
|
806
901
|
renderReviewHint?: boolean;
|
|
902
|
+
/**
|
|
903
|
+
* RFC-376 D4:权限对话框在场时抑制 Spinner(Spinner 原在 MainRegion 的判据,
|
|
904
|
+
* 随 Spinner 归位到本组件后经 prop 透传)。
|
|
905
|
+
*/
|
|
906
|
+
pendingPermission?: PendingPermission | null;
|
|
907
|
+
/** RFC-376 D4:全屏面板在场时抑制 Spinner(原 MainRegion 的 `!fullScreenPaneActive` 门)。 */
|
|
908
|
+
suppressSpinner?: boolean;
|
|
909
|
+
/** RFC-376 D3:透传给 ScrollableTranscript(MainRegion 是否已为 topbar 预留 1 行)。 */
|
|
910
|
+
topbarReserved?: boolean;
|
|
807
911
|
}
|
|
808
912
|
declare function REPLRegion({
|
|
809
913
|
streamStore,
|
|
@@ -826,7 +930,10 @@ declare function REPLRegion({
|
|
|
826
930
|
onFindNavigateTo,
|
|
827
931
|
onFindCountChange,
|
|
828
932
|
onReviewHintChange,
|
|
829
|
-
renderReviewHint
|
|
933
|
+
renderReviewHint,
|
|
934
|
+
pendingPermission,
|
|
935
|
+
suppressSpinner,
|
|
936
|
+
topbarReserved
|
|
830
937
|
}: REPLRegionProps): React.ReactElement;
|
|
831
938
|
//#endregion
|
|
832
939
|
//#region src/messages/diff-logic.d.ts
|
|
@@ -908,12 +1015,16 @@ declare function getMarkdownThemeUserOverrides(): MarkdownThemeOverrides | undef
|
|
|
908
1015
|
* 真解析器正确处理:嵌套强调(`**粗 *斜***`)、转义(`\*`)、代码 span 内标记不被吃(`` `a*b*` ``)。
|
|
909
1016
|
*/
|
|
910
1017
|
declare function renderInline(line: string, plain?: boolean, typography?: MarkdownTypographyTheme): string;
|
|
1018
|
+
/**
|
|
1019
|
+
* 把 markdown 源渲成 ANSI 行数组(marked 块 token → 一次渲染 → 样式/嵌套/编号正确)。
|
|
1020
|
+
* @param columns 内容可用宽度(调用方若加缩进/圆点需自行预留)。
|
|
1021
|
+
*/
|
|
911
1022
|
declare function renderMarkdownToLines(text: string, columns?: number, typography?: MarkdownTypographyTheme): string[];
|
|
912
1023
|
//#endregion
|
|
913
1024
|
//#region src/messages/transcript-text.d.ts
|
|
914
1025
|
/**
|
|
915
1026
|
* 渲染纯文本转录。`streamingText` 为当前 turn 尚未落入 messages 的 in-flight 流式尾巴(可选)。
|
|
916
|
-
* 块间空行分隔;user=`▸ you`、assistant
|
|
1027
|
+
* 块间空行分隔;user=`▸ you`、assistant=`${FIGURES.bullet} assistant`(thinking 前缀 `∴`)、tool=`⎿ name → result`。
|
|
917
1028
|
*
|
|
918
1029
|
* 下方 switch 无 `default` 分支——本函数专供子代理观测面板(DelegateOutputPane)的纯文本
|
|
919
1030
|
* 转录导出,边界类消息(`compact_boundary`/`prune_boundary`/`history_capped`/`model_switch`/
|
|
@@ -1176,6 +1287,66 @@ declare function PromptDialog({
|
|
|
1176
1287
|
onCancel
|
|
1177
1288
|
}: PromptDialogProps): React.ReactElement;
|
|
1178
1289
|
//#endregion
|
|
1290
|
+
//#region src/stores/perf-store.d.ts
|
|
1291
|
+
/** 内存快照——字段对齐 `@x-otto/coding` 的 `MemorySample`(不直接 import 跨包类型,
|
|
1292
|
+
* tui 包不依赖 coding 包,由 cli 层组装时结构对齐即可,见 RFC-116 D2)。 */
|
|
1293
|
+
interface PerfMemorySnapshot {
|
|
1294
|
+
level: 'healthy' | 'warning' | 'critical';
|
|
1295
|
+
heapUsed: number;
|
|
1296
|
+
heapSizeLimit: number;
|
|
1297
|
+
usedPct: number;
|
|
1298
|
+
}
|
|
1299
|
+
/** 渲染健康度快照——字段对齐 `NotifyStats`(M2 里程碑填充,M1 阶段为 undefined)。 */
|
|
1300
|
+
interface PerfNotifySnapshot {
|
|
1301
|
+
coalescedCalls: number;
|
|
1302
|
+
coalescedFires: number;
|
|
1303
|
+
immediateCalls: number;
|
|
1304
|
+
flushFires: number;
|
|
1305
|
+
coalesceRatio: number;
|
|
1306
|
+
alert: 'healthy' | 'warning';
|
|
1307
|
+
}
|
|
1308
|
+
/**
|
|
1309
|
+
* 单个插件采集器的结果。
|
|
1310
|
+
* RFC-118 小修(S10):原 RFC-116 D2 的手动镜像定义已收口——类型本体上移
|
|
1311
|
+
* `@x-otto/interchange`(coding 生产侧同源),此处别名保持 tui 内既有消费方命名兼容。
|
|
1312
|
+
*/
|
|
1313
|
+
type PluginMetricResult = _$_x_otto_interchange0.PluginPerfMetricResult;
|
|
1314
|
+
interface PerfPaneState {
|
|
1315
|
+
memory: PerfMemorySnapshot | undefined;
|
|
1316
|
+
/** 内存采样历史(RFC-183 M4:PerfPane sparkline 趋势,环形窗口 ≤32 点,heapUsed 字节)。 */
|
|
1317
|
+
memoryHistory: number[];
|
|
1318
|
+
/** M1 阶段恒为 undefined(渲染区占位);M2 起由 CLI 层喂入真实值。 */
|
|
1319
|
+
notify: PerfNotifySnapshot | undefined;
|
|
1320
|
+
/**
|
|
1321
|
+
* RFC-116 M3:footer 常驻指示器的实时分级——与 `memory`(面板手动刷新快照)解耦,
|
|
1322
|
+
* 因为 footer 需要"异常时才浮现、健康时零宽度"的常驻感知(不依赖用户是否打开过
|
|
1323
|
+
* `/perf` 面板),由 `MemoryGovernor.onLevelChange` 回调驱动(每次分级变化都推送,
|
|
1324
|
+
* 含恢复到 healthy 的方向)。初始为 'healthy'(保守假设,避免启动瞬间误报)。
|
|
1325
|
+
*/
|
|
1326
|
+
indicatorLevel: 'healthy' | 'warning' | 'critical';
|
|
1327
|
+
/**
|
|
1328
|
+
* RFC-116 M5:插件贡献的性能采集器结果——手动刷新时喂入(对齐 D7 手动刷新决策,
|
|
1329
|
+
* 不做自动轮询)。空数组 = 无插件贡献采集器或本次刷新尚未获取,两者在渲染层
|
|
1330
|
+
* 不做区分(均不显示该区块),因为区分"无贡献"与"未刷新"对用户价值不大。
|
|
1331
|
+
*/
|
|
1332
|
+
pluginMetrics: PluginMetricResult[];
|
|
1333
|
+
}
|
|
1334
|
+
interface PerfStore {
|
|
1335
|
+
store: Store<PerfPaneState>;
|
|
1336
|
+
/** /clear 会话重置——全字段回初始值(indicatorLevel 回 'healthy' 保守假设)。
|
|
1337
|
+
* RFC-256 收尾:面板可见性已改由 Router 栈单一真源派生(isInStack('/pane/perf')),
|
|
1338
|
+
* store 不再持 `open` 布尔——原 toggle() 已删除。 */
|
|
1339
|
+
reset(): void;
|
|
1340
|
+
/** CLI 喂入最新内存快照(面板手动刷新)。 */
|
|
1341
|
+
setMemory(snapshot: PerfMemorySnapshot): void;
|
|
1342
|
+
/** CLI 喂入最新渲染健康度快照(M2 起使用;M1 阶段调用方不传,保持 undefined)。 */
|
|
1343
|
+
setNotify(snapshot: PerfNotifySnapshot): void;
|
|
1344
|
+
/** CLI 喂入 footer 常驻指示器的最新分级(`MemoryGovernor.onLevelChange` 驱动)。 */
|
|
1345
|
+
setIndicatorLevel(level: 'healthy' | 'warning' | 'critical'): void;
|
|
1346
|
+
/** CLI 喂入最新插件采集器结果(手动刷新触发)。 */
|
|
1347
|
+
setPluginMetrics(results: PluginMetricResult[]): void;
|
|
1348
|
+
}
|
|
1349
|
+
//#endregion
|
|
1179
1350
|
//#region src/stores/compaction-log-store.d.ts
|
|
1180
1351
|
interface CompactionLogEntry {
|
|
1181
1352
|
/** 单调递增 id(store 内生成,供列表 key 与详情选中定位)。 */
|
|
@@ -1200,8 +1371,6 @@ interface CompactionLogState {
|
|
|
1200
1371
|
}
|
|
1201
1372
|
interface CompactionLogStore {
|
|
1202
1373
|
store: Store<CompactionLogState>;
|
|
1203
|
-
/** RFC-256 收尾:面板可见性由 Router 栈单一真源派生(isInStack('/pane/compaction-log')),
|
|
1204
|
-
* store 不再持 `open` 布尔——原 toggle() 已删除。 */
|
|
1205
1374
|
/** 记一条压缩事件(CLI 订阅 compaction.end 时调用)。 */
|
|
1206
1375
|
recordCompaction(before: number, after: number, summary?: string): void;
|
|
1207
1376
|
/** 记一条裁剪事件(CLI 订阅 memory.pruned 时调用)。 */
|
|
@@ -1218,8 +1387,6 @@ interface GalleryState {
|
|
|
1218
1387
|
}
|
|
1219
1388
|
interface GalleryStore {
|
|
1220
1389
|
store: Store<GalleryState>;
|
|
1221
|
-
/** RFC-256 收尾:面板可见性由 Router 栈单一真源派生(isInStack('/pane/gallery')),
|
|
1222
|
-
* store 不再持 `open` 布尔——原 toggle() 已删除。 */
|
|
1223
1390
|
reset(): void;
|
|
1224
1391
|
setCategoryIndex(i: number): void;
|
|
1225
1392
|
setItemIndex(i: number): void;
|
|
@@ -1266,7 +1433,6 @@ interface AppProps {
|
|
|
1266
1433
|
messages?: ChatMessage[];
|
|
1267
1434
|
/** 当前界面语言(状态栏徽标显示;en/zh)。 */
|
|
1268
1435
|
language?: Lang;
|
|
1269
|
-
/** RFC-263 M5:TUI 主题初值(缺省 dark);'system' 时配合 systemTheme 解析明暗。 */
|
|
1270
1436
|
/** RFC-263 M5:system 模式的终端背景探测结果(启动时 OSC 11 求得);undefined = 未测到走 dark。 */
|
|
1271
1437
|
systemTheme?: 'dark' | 'light';
|
|
1272
1438
|
/**
|
|
@@ -1335,7 +1501,7 @@ interface AppProps {
|
|
|
1335
1501
|
/** ctrl+s 保存当前输入为一条自动命名的草稿(cli 侧写入 session.session.setDrafts() 并落盘)。 */
|
|
1336
1502
|
onDraftSave?: (text: string) => void;
|
|
1337
1503
|
/** `@` 面板选中一条条目后回调(cli 侧据此维护 settings.recent_mentions MRU 并落盘,
|
|
1338
|
-
* 见
|
|
1504
|
+
* 见 bootstrap/types.ts TuiOptions.onSigilSelect 同名字段注释)。 */
|
|
1339
1505
|
onSigilSelect?: (entry: SigilEntry) => void;
|
|
1340
1506
|
/** DraftPane 内 d 删除选中草稿(按当前渲染列表下标,cli 侧据此定位 id 后从 session.setDrafts 移除)。 */
|
|
1341
1507
|
onDraftDelete?: (index: number) => void;
|
|
@@ -1406,8 +1572,8 @@ interface AppProps {
|
|
|
1406
1572
|
* `focusOwner` 每次变化时下推给 startTui(含变回 'prompt')——用于对话选中态保护
|
|
1407
1573
|
* (用户报告"流式期间弹窗打开时终端全选闪烁"的修复):任意模态/浮层/导航栈
|
|
1408
1574
|
* 面板在场时(`focusOwner !== 'prompt'`)暂停主代理 scrollback 写入,与 `paneOwnsViewport`
|
|
1409
|
-
* 现有的全屏面板缓冲逻辑 OR 合并,见
|
|
1410
|
-
*
|
|
1575
|
+
* 现有的全屏面板缓冲逻辑 OR 合并,见 main.ts。零新增按键、零新增用户心智负担——
|
|
1576
|
+
* 复用路由层 `useRouteDerivedOwner` 已有的单一焦点归属判定,弹窗本身就是"用户想要画面稳定"的信号。
|
|
1411
1577
|
*
|
|
1412
1578
|
* **范围边界(独立审核确认)**:仅覆盖"弹窗/面板在场"这一路径;不覆盖"从未打开任何
|
|
1413
1579
|
* 弹窗、纯流式输出期间直接选中文字"——那是终端字符网格持续被 Ink log-update 改写导致
|
|
@@ -1469,6 +1635,8 @@ interface AppProps {
|
|
|
1469
1635
|
notificationStore?: NotificationStore;
|
|
1470
1636
|
/** RFC-116 M1:性能监控面板 store(startTui 注入);缺省时内部建空 store(永不开启)。 */
|
|
1471
1637
|
perfStore?: PerfStore;
|
|
1638
|
+
/** Status 面板 store(startTui 注入,session 概览 + perf 数据);缺省时内部建空 store。 */
|
|
1639
|
+
statusStore?: StatusStore;
|
|
1472
1640
|
/** RFC-019 M2:缓存命中率面板 store(startTui 注入);缺省时内部建空 store(永不开启)。 */
|
|
1473
1641
|
cacheStore?: CacheStore;
|
|
1474
1642
|
/** /proxy 面板 store(startTui 注入);缺省时内部建空 store(永不开启)。 */
|
|
@@ -1505,8 +1673,8 @@ interface AppProps {
|
|
|
1505
1673
|
*/
|
|
1506
1674
|
streamStore?: StreamStore;
|
|
1507
1675
|
taskStore?: TaskStore;
|
|
1508
|
-
/**
|
|
1509
|
-
|
|
1676
|
+
/** Status 面板内手动刷新键(r)触发——重新采集 session 概览 + perf 数据。 */
|
|
1677
|
+
onStatusRefresh?: () => void;
|
|
1510
1678
|
/** force=true 表示修饰键+Enter(Alt/Ctrl/Cmd);透传给 startTui 的 submitOrQueue 决定 steer/followUp。 */
|
|
1511
1679
|
onSubmit?: (text: string, mode: SubmitMode, force?: boolean) => void;
|
|
1512
1680
|
onInterrupt?: () => void;
|
|
@@ -1540,8 +1708,8 @@ interface AppProps {
|
|
|
1540
1708
|
onBackToContextPane?: () => void;
|
|
1541
1709
|
/** /context 面板整体关闭(ContextPane Esc)——逐层退回主输入。 */
|
|
1542
1710
|
onContextDismiss?: () => void;
|
|
1543
|
-
/**
|
|
1544
|
-
|
|
1711
|
+
/** 关闭 Status 面板(StatusPane 内部 Esc 触发)。 */
|
|
1712
|
+
onStatusDismiss?: () => void;
|
|
1545
1713
|
/** RFC-019 M2:关闭缓存命中率面板(CachePane 内部 Esc 触发)。 */
|
|
1546
1714
|
onCacheDismiss?: () => void;
|
|
1547
1715
|
/** 关闭压缩/裁剪日志面板(CompactionLogPane 内部 Esc 触发)。 */
|
|
@@ -1598,6 +1766,10 @@ interface AppProps {
|
|
|
1598
1766
|
fill: (text: string) => void;
|
|
1599
1767
|
} | null;
|
|
1600
1768
|
};
|
|
1769
|
+
/** 2026-08 键位重设计:Shift+Enter 换行旁路 ref(main.ts 创建,App 挂载时回填)。 */
|
|
1770
|
+
shiftEnterRef?: {
|
|
1771
|
+
current: (() => void) | null;
|
|
1772
|
+
};
|
|
1601
1773
|
/** RFC-338 D7a:粘贴缓存树外桥接 ref(cli hydrate/落盘),同 restoreInputRef 模式。 */
|
|
1602
1774
|
pasteBridgeRef?: {
|
|
1603
1775
|
current: {
|
|
@@ -1853,6 +2025,9 @@ interface PromptEndFields {
|
|
|
1853
2025
|
effort?: string;
|
|
1854
2026
|
/** 回合结束原因(缺省 = 'completed',向后兼容旧事件/resume 历史)。 */
|
|
1855
2027
|
stopReason?: 'completed' | 'interrupted' | 'error';
|
|
2028
|
+
/** 错误终止时的错误消息(stopReason='error' 时由 agent-session catch 块携带)。
|
|
2029
|
+
* 供回合摘要行渲染错误详情——用户不再只看到"✗ 失败",还能看到失败原因。 */
|
|
2030
|
+
errorMessage?: string;
|
|
1856
2031
|
}
|
|
1857
2032
|
/**
|
|
1858
2033
|
* 回合完成摘要对象——渲染(`reduceToTui` 内部 `sink.pushMessage`)与持久化
|
|
@@ -1875,6 +2050,7 @@ declare function buildTurnSummary(ev: PromptEndFields, state: ReducerState): {
|
|
|
1875
2050
|
model: string | undefined;
|
|
1876
2051
|
effort: string | undefined;
|
|
1877
2052
|
cacheHitRatio: number | undefined;
|
|
2053
|
+
errorMessage: string | undefined;
|
|
1878
2054
|
} | {
|
|
1879
2055
|
status: "interrupted" | "error" | "done";
|
|
1880
2056
|
toolCount: number;
|
|
@@ -1883,6 +2059,7 @@ declare function buildTurnSummary(ev: PromptEndFields, state: ReducerState): {
|
|
|
1883
2059
|
model: string | undefined;
|
|
1884
2060
|
effort: string | undefined;
|
|
1885
2061
|
cacheHitRatio: number | undefined;
|
|
2062
|
+
errorMessage: string | undefined;
|
|
1886
2063
|
};
|
|
1887
2064
|
declare function reduceToTui(ev: SessionEvent, sink: TuiSink, state: ReducerState): void;
|
|
1888
2065
|
//#endregion
|
|
@@ -1945,5 +2122,5 @@ interface AttachEventBridge {
|
|
|
1945
2122
|
}
|
|
1946
2123
|
declare function createSessionEventReduceBridge(sink: StoreTuiSink): AttachEventBridge;
|
|
1947
2124
|
//#endregion
|
|
1948
|
-
export { type A2uiContent, AlertDialog, type AlertDialogProps, type AlertRequest, App, type AppProps, type AssistantMessage, type AttachDataSourceDeps, BASH_HISTFILE_SOURCE, BashPermissionDialog, BracketedPasteHandler, type BracketedPasteOptions, type BudgetState, type BudgetStore, type BudgetView, type BufferEntry, Button, type ButtonColor, type ButtonProps, type ButtonVariant, COMPACTING_SENTINEL, type ChatMessage, type Coalescer, type CollapsedBlock, type CollapsibleMessage, type Command, type CommandContext, type CommandEntry, type CommandRegistry, type CommandResult, ConfirmDialog, type ConfirmDialogProps, type ConfirmRequest, type CreatePasteStoreOptions, Cursor, DEFAULT_SENSITIVE_PATTERNS, DIALOG_BORDER, DataList, type DataListEntry, type DataListProps, type DataListRow, type DataListTone, type DiffHunk, type DiffHunkLine, type DraftItemView, type EditAction, type EditKeyEvent, type EditResult, type ErrorRetryAction, type ErrorRetryActionKind, type ErrorRetryItem, type ExtensionDetailAction, type ExtensionDetailRequest, type ExtensionListEntry, type ExtensionMenuContribution, type ExtensionsListRequest, FIGURES, FISH_HISTFILE_SOURCE, type FiguresMap, type FocusOwner, type FocusStyle, type FuzzySearchOptions, GroupDivider, type GroupDividerProps, type GuardState, type HighlightRange, type HistoryEntry, type HistorySource, Home, type HomeProps, type IncrementalSearcher, type InputBuffer, type InputHistory, type InputMode, type InsertHistoryMode, type InsertHistoryOptions, type KeyBindingPredicate, type KeyValueEntry, type KeyValueRow, LAYOUT, type Lang, type LangMode, type MarkdownThemeOverrides, MeasuredText, MemoryDialog, type MemoryDialogProps, type MemoryEntry, type MemoryEntrySource, type MergeHistoryOptions, type MergedHistoryProvider, Message, type MessageContent, type MessageProps, type NotifyScheduler, type NotifyStats, OTTO_SESSION_SOURCE, type ObservationLike, PALETTE, PANEL_BORDER, type ParentWorkspaceChoice, type ParentWorkspacePromptOptions, type ParseBashHistoryOptions, type ParseFishHistoryOptions, type ParseZshHistoryOptions, type ParsedExtendedKey, type PasteEvent, type PasteSnapshot, type PasteSnapshotEntry, type PasteStore, type PasteStoreResidencySource, type PermissionDecision, PermissionDialog as PermissionDialogDialog, type PersistedTurnSummary, type PluginMessageRenderer, type PluginRegistration, type PrintOptions, type PrintableMessage, PromptDialog, type PromptDialogProps, type PromptEndFields, PromptInput, type PromptRequest, type ProviderUsageBadgeItem, type QueryGuard, QueuedCommands, REPLRegion, type REPLRegionProps, type RankedMatch, type RateLimitType, type ReducerState, type RegisteredRenderer, type RemoteSessionEvent, type RemoteSessionSnapshot, type RenderOptions, type Risk, SPACING, STATUS, STREAM_COALESCE_MS, ScrollIndicatorAbove, ScrollIndicatorBelow, type SearchMatch, type SearchableItem, Segmented, Segmented as Tabs, type SegmentedProps, Select, type SelectGroupProps, type SelectItemProps, type SelectLabelProps, type SelectOption, type SelectOptions, type SelectRootProps, type SelectState, type SessionDataSource, type SessionDataTarget, type SessionListItem, type SessionTransport, type SigilEntry, type SigilKind, SigilPane, type SigilPaneProps, type SigilPrefix, type SigilSearchRegistry, type SigilTrigger, type SlashNavigateAction, Spinner, type SpinnerProps, type StopReason, type Store, type StreamChunk, type StreamCommitResult, type StreamCommitState, type StreamEvent, type SubagentContext, type SubmitMode, type SubmitRoute, type SubmitRouteCtx, type SubsequenceResult, THEME, TabScope, type TabScopeProps, Tabable, type TabableProps, type TextContent, TextInput, type TextInputProps, type ThemeAppearance, type ThemeColors, type ThemePreset, type ThemePresetInput, type ThemePresetSelection, type ThemePresetSource, ThemeRegistry, type ThinkingContent, type ToolCall, type ToolCompletionMessage, type ToolMessage, type TrustPromptChoice, type TuiHandle, type TuiPanelRegistration, type TuiSink, type TuiStreamEvent, type TypeaheadState, type UseTabableOptions, type UserMessage, type WorkspaceTrustPromptOptions, type WrapPolicy, ZSH_HISTFILE_SOURCE, applySigilCompletion, applySlashCompletion, beginSyncFrame, buildTurnSummary, clearPluginRenderers, collapseMessages, createAttachSessionDataSource, createBudgetStore, createBuiltinCommands, createBuiltinThemeRegistry, createCommandRegistry, createIncrementalSearcher, createInputBuffer, createInputHistory, createMergedHistoryProvider, createPasteStore, createQueryGuard, createReducerState, createSelectState, createSessionEventReduceBridge, createStoreTuiSink, cycleIndex, deriveTurnBoundaries, detectLanguage, displayWidth, effectiveBusy, endSyncFrame, entriesToCommands, expandCollapsed, extractSigilPrefix, extractSlashPrefix, formatAgentDiagnosticsText, formatKeyValueLines, formatProviderUsageLimitTypeFull, formatTranscriptText, formatTurnTimeline, getCommandSuggestions, getInputViewport, getKillRingEntries, getMarkdownThemeUserOverrides, guardScrollbackStdout, handleEditingKey, handleEditingKeyExtended, i18next, initI18n, initStreamCommit, insertHistory, insertHistorySequence, insertTurnSummaries, isSensitiveCommand, isUsingOverage, makeCoalescer, makeNotifyScheduler, matchSubsequence, mergeHistoryEntries, navigateSuggestions, normalizeCommand, observationLiveFields, observationRow, osc52QuerySequence, osc52Write, osc8FilePath, osc8Hyperlink, parseBashHistory, parseExtendedKey, parseFishHistory, parseZshHistory, pickInsertMode, positionsToHighlightRanges, preWrapLine, preWrapLines, printMessages, promptParentWorkspaceChoice, promptWorkspaceTrust, rankCandidates, rankLabeledItems, rankNamedItems, reduceToTui, registerPluginRenderers, renderInline, renderMarkdownToLines, renderMessageLines, resetKillRing, resolveHorizontalStep, routeSubmit, safeCommitBoundary, scoreSubsequence, setMarkdownThemeUserOverrides, shouldStripSyncOutput, shouldUseViewport, showCommandPalette, slashCommandName, startTui, streamCommitStep, stringWidth, stripScrollbackClear, stripSyncSequences, stripSyncStdout, subagentEntryStatus, subagentRestoreFields, t, toggleCollapse, useAppState, useTabScope, useTabable, withSyncFrame };
|
|
2125
|
+
export { type A2uiContent, ACTION_CHIP_PATTERN, ACTION_CHIP_VALUE_SEGMENT, AlertDialog, type AlertDialogProps, type AlertRequest, App, type AppProps, type AssistantMessage, type AttachDataSourceDeps, BASH_HISTFILE_SOURCE, BashPermissionDialog, BracketedPasteHandler, type BracketedPasteOptions, type BudgetState, type BudgetStore, type BudgetView, type BufferEntry, Button, type ButtonColor, type ButtonProps, type ButtonVariant, COMPACTING_SENTINEL, type ChatMessage, type Coalescer, type CollapsedBlock, type CollapsibleMessage, type Command, type CommandContext, type CommandEntry, type CommandRegistry, type CommandResult, ConfirmDialog, type ConfirmDialogProps, type ConfirmRequest, type CreatePasteStoreOptions, Cursor, DEFAULT_SENSITIVE_PATTERNS, DIALOG_BORDER, DataList, type DataListEntry, type DataListProps, type DataListRow, type DataListTone, type DiffHunk, type DiffHunkLine, type DraftItemView, type EditAction, type EditKeyEvent, type EditResult, type ErrorRetryAction, type ErrorRetryActionKind, type ErrorRetryItem, type ExtensionDetailAction, type ExtensionDetailRequest, type ExtensionListEntry, type ExtensionMenuContribution, type ExtensionsListRequest, FIGURES, FISH_HISTFILE_SOURCE, type FiguresMap, type FocusOwner, type FocusStyle, type FuzzySearchOptions, GroupDivider, type GroupDividerProps, type GuardState, type HighlightRange, type HistoryEntry, type HistorySource, Home, type HomeProps, type IncrementalSearcher, type InputBuffer, type InputHistory, type InputMode, type InsertHistoryMode, type InsertHistoryOptions, type KeyBindingPredicate, type KeyValueEntry, type KeyValueRow, LAYOUT, type Lang, type LangMode, type MarkdownThemeOverrides, MeasuredText, MemoryDialog, type MemoryDialogProps, type MemoryEntry, type MemoryEntrySource, type MergeHistoryOptions, type MergedHistoryProvider, Message, type MessageContent, type MessageProps, type NotifyScheduler, type NotifyStats, OTTO_SESSION_SOURCE, type ObservationLike, PALETTE, PANEL_BORDER, type ParentWorkspaceChoice, type ParentWorkspacePromptOptions, type ParseBashHistoryOptions, type ParseFishHistoryOptions, type ParseZshHistoryOptions, type ParsedExtendedKey, type PasteEvent, type PasteSnapshot, type PasteSnapshotEntry, type PasteStore, type PasteStoreResidencySource, type PermissionDecision, PermissionDialog as PermissionDialogDialog, type PersistedTurnSummary, type PluginMessageRenderer, type PluginRegistration, type PrintOptions, type PrintableMessage, PromptDialog, type PromptDialogProps, type PromptEndFields, PromptInput, type PromptRequest, type ProviderUsageBadgeItem, type QueryGuard, QueuedCommands, REPLRegion, type REPLRegionProps, type RankedMatch, type RateLimitType, type ReducerState, type RegisteredRenderer, type RemoteSessionEvent, type RemoteSessionSnapshot, type RenderOptions, type Risk, SPACING, STATUS, STREAM_COALESCE_MS, ScrollIndicatorAbove, ScrollIndicatorBelow, type SearchMatch, type SearchableItem, Segmented, Segmented as Tabs, type SegmentedProps, Select, type SelectGroupProps, type SelectItemProps, type SelectLabelProps, type SelectOption, type SelectOptions, type SelectRootProps, type SelectState, type SessionDataSource, type SessionDataTarget, type SessionListItem, type SessionTransport, type SigilEntry, type SigilKind, SigilPane, type SigilPaneProps, type SigilPrefix, type SigilSearchRegistry, type SigilTrigger, type SlashNavigateAction, Spinner, type SpinnerProps, type StopReason, type Store, type StreamChunk, type StreamCommitResult, type StreamCommitState, type StreamEvent, type SubagentContext, type SubmitMode, type SubmitRoute, type SubmitRouteCtx, type SubsequenceResult, THEME, TabScope, type TabScopeProps, Tabable, type TabableProps, type TextContent, TextInput, type TextInputProps, type ThemeAppearance, type ThemeColors, type ThemePreset, type ThemePresetInput, type ThemePresetSelection, type ThemePresetSource, ThemeRegistry, type ThinkingContent, type ToolCall, type ToolCompletionMessage, type ToolMessage, type TrustPromptChoice, type TuiHandle, type TuiPanelRegistration, type TuiSink, type TuiStreamEvent, type TypeaheadState, type UseTabableOptions, type UserMessage, type WorkspaceTrustPromptOptions, type WrapPolicy, ZSH_HISTFILE_SOURCE, applySigilCompletion, applySlashCompletion, beginSyncFrame, buildTurnSummary, clearPluginRenderers, collapseMessages, createAttachSessionDataSource, createBudgetStore, createBuiltinCommands, createBuiltinThemeRegistry, createCommandRegistry, createIncrementalSearcher, createInputBuffer, createInputHistory, createMergedHistoryProvider, createPasteStore, createQueryGuard, createReducerState, createSelectState, createSessionEventReduceBridge, createStoreTuiSink, cycleIndex, deriveTurnBoundaries, detectLanguage, displayWidth, effectiveBusy, endSyncFrame, entriesToCommands, expandCollapsed, extractSigilPrefix, extractSlashPrefix, formatAgentDiagnosticsText, formatKeyValueLines, formatProviderUsageLimitTypeFull, formatTranscriptText, formatTurnTimeline, getCommandSuggestions, getInputViewport, getKillRingEntries, getMarkdownThemeUserOverrides, guardScrollbackStdout, handleEditingKey, handleEditingKeyExtended, i18next, initI18n, initStreamCommit, insertHistory, insertHistorySequence, insertTurnSummaries, isPureActionChip, isSensitiveCommand, isUsingOverage, makeCoalescer, makeNotifyScheduler, matchSubsequence, mergeHistoryEntries, navigateSuggestions, normalizeCommand, observationLiveFields, observationRow, osc52QuerySequence, osc52Write, osc8FilePath, osc8Hyperlink, parseBashHistory, parseExtendedKey, parseFishHistory, parseZshHistory, pickInsertMode, positionsToHighlightRanges, preWrapLine, preWrapLines, printMessages, promptParentWorkspaceChoice, promptWorkspaceTrust, rankCandidates, rankLabeledItems, rankNamedItems, reduceToTui, registerPluginRenderers, renderInline, renderMarkdownToLines, renderMessageLines, resetKillRing, resolveHorizontalStep, routeSubmit, safeCommitBoundary, scoreSubsequence, setMarkdownThemeUserOverrides, shouldPreserveDraft, shouldStripSyncOutput, shouldUseViewport, showCommandPalette, slashCommandName, startTui, streamCommitStep, stringWidth, stripScrollbackClear, stripSyncSequences, stripSyncStdout, subagentEntryStatus, subagentRestoreFields, t, toggleCollapse, useAppState, useTabScope, useTabable, withSyncFrame };
|
|
1949
2126
|
//# sourceMappingURL=index.d.ts.map
|
package/dist/index.d.ts.map
CHANGED
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"index.d.ts","names":[],"sources":["../src/overlays/TrustPromptDialog.tsx","../src/WorkspaceTrustPrompt.tsx","../src/overlays/ParentWorkspaceDialog.tsx","../src/ParentWorkspacePrompt.tsx","../src/ui-state/types.ts","../src/term/paste.ts","../src/term/keys.ts","../src/term/osc.ts","../src/term/sync-output.ts","../src/term/insert-history.ts","../src/term/clear-guard.ts","../src/input/cursor.ts","../src/input/text-input-logic.ts","../src/input/input-buffer.ts","../src/input/history-provider.ts","../src/input/TextInput.tsx","../src/input/horizontal-step.ts","../src/input/submit-routing.ts","../src/history/types.ts","../src/history/sensitive-patterns.ts","../src/history/zsh-history-parser.ts","../src/history/bash-history-parser.ts","../src/history/fish-history-parser.ts","../src/history/merged-history-provider.ts","../src/panes/SigilPane.tsx","../src/messages/stream-commit.ts","../src/messages/stream-coalesce.ts","../src/messages/query-guard.ts","../src/messages/collapse.ts","../src/messages/Message.tsx","../src/stores/scroll-store.ts","../src/stores/stream-store.ts","../src/messages/REPLRegion.tsx","../src/messages/diff-logic.ts","../src/messages/message-lines.ts","../src/messages/markdown-typography.ts","../src/messages/markdown-to-lines.ts","../src/messages/transcript-text.ts","../src/messages/key-value-lines.ts","../src/dialogs/SelectPrimitive.tsx","../src/dialogs/PermissionDialog.tsx","../src/dialogs/BashPermissionDialog.tsx","../src/dialogs/AlertDialog.tsx","../src/dialogs/PromptDialog.tsx","../src/stores/compaction-log-store.ts","../src/stores/gallery-store.ts","../src/panes/ShellPane.tsx","../src/app-props.ts","../src/App.tsx","../src/components/Spinner.tsx","../src/layouts/GroupDivider.tsx","../src/utils/tool-label.ts","../src/components/Segmented.tsx","../src/components/ScrollIndicators.tsx","../src/router/TabScope.tsx","../src/main.ts","../src/session-contract/reduce.ts","../src/utils/print-messages.ts","../src/search/incremental-search.ts","../src/bootstrap/store-tui-sink.ts","../src/bootstrap/session-event-reduce-bridge.ts"],"mappings":";;;;;;;;;KAkBY,iBAAA;;;UCLK,2BAAA;;EAEf,IAAA;;EAEA,QAAA;AAAA;;;ADCF;;iBCMgB,oBAAA,CACd,IAAA,EAAM,2BAAA,GACL,OAAA,CAAQ,iBAAA;;;KCNC,qBAAA;;;UCPK,4BAAA;EACf,UAAA;EACA,WAAA;EACA,QAAA;AAAA;AAAA,iBAGc,2BAAA,CACd,IAAA,EAAM,4BAAA,GACL,OAAA,CAAQ,qBAAA;;;;KCwBC,UAAA;;;;;;;;;;;;;;;;;;;;;;;KCpCA,UAAA;EACN,IAAA;AAAA;EACA,IAAA;EAAmB,IAAA;EAAc,OAAA;AAAA;EACjC,IAAA;EAAuB,WAAA;AAAA;AAAA,UAEZ,qBAAA;EACf,SAAA;EACA,YAAA;AAAA;AAAA,cAMW,qBAAA;EAAA,QACH,MAAA;EAAA,QACA,MAAA;EAAA,QACA,KAAA;EAAA,iBACS,SAAA;EAAA,iBACA,YAAA;cAEL,IAAA,GAAM,qBAAA;EAAA,IAKd,SAAA,CAAA;EAAA,IACA,aAAA,CAAA;EAEJ,IAAA,CAAK,KAAA,WAAgB,UAAA;EA6CrB,QAAA,CAAA,GAAY,UAAA;EASZ,KAAA,CAAA;EACA,OAAA,CAAA;EAAA,QAEQ,UAAA;EAAA,QAKA,UAAA;EAAA,QAIA,aAAA;AAAA;;;;;;;;;;;UC9FO,iBAAA;EACf,IAAA;EACA,IAAA;EACA,KAAA;EACA,GAAA;EACA,IAAA;EACA,QAAA;AAAA;AAAA,iBAWc,gBAAA,CAAiB,GAAA,WAAc,iBAAA;;;iBC6C/B,aAAA,CAAc,IAAA,UAAc,GAAA,iBAAoB,EAAA;AAAA,iBAOhD,YAAA,CAAa,IAAA,UAAc,QAAA,UAAkB,IAAA,WAAe,GAAA;AAAA,iBAO5D,UAAA,CAAW,IAAA,UAAc,SAAA;AAAA,iBAKzB,kBAAA,CAAmB,SAAA;AAAA,iBAInB,cAAA,CAAA;AAAA,iBAGA,YAAA,CAAA;AAAA,iBAIA,aAAA,GAAA,CAAiB,EAAA,QAAU,CAAA,GAAI,CAAA;;;;;;;;;;;;APnF/C;;;iBQDgB,kBAAA,CAAmB,CAAA;;iBAKnB,eAAA,CAAgB,MAAA,EAAQ,MAAA,CAAO,WAAA,GAAc,MAAA,CAAO,WAAA;;iBAmBpD,qBAAA,CAAsB,GAAA,GAAK,MAAA,CAAO,UAAA;;;KCGtC,iBAAA;AAAA,KACA,UAAA;AAAA,UAEK,oBAAA;;EAEf,IAAA;;EAEA,OAAA;;;EAGA,OAAA;ETpC2B;ESsC3B,MAAA;IAAW,CAAA;IAAW,CAAA;EAAA;;EAEtB,IAAA,GAAO,iBAAA;ER7CQ;EQ+Cf,IAAA,GAAO,UAAA;AAAA;;cAaI,YAAA,GAAgB,CAAA;ARjD7B;;;;;;;AAAA,iBQ4DgB,WAAA,CAAY,IAAA,UAAc,KAAA,UAAe,MAAA,GAAQ,UAAA;;iBASjD,YAAA,CACd,KAAA,qBACA,KAAA,UACA,MAAA,GAAQ,UAAA;;;;;iBAiDM,qBAAA,CACd,KAAA,qBACA,IAAA,EAAM,oBAAA;;iBAoBQ,aAAA,CACd,GAAA,EAAK,MAAA,CAAO,WAAA,EACZ,KAAA,qBACA,IAAA,EAAM,oBAAA;APtJR;AAAA,iBO6JgB,cAAA,CAAe,GAAA,GAAK,MAAA,CAAO,UAAA,GAA2B,iBAAA;;;;iBC5JtD,oBAAA,CAAqB,CAAA;;iBAKrB,qBAAA,CAAsB,MAAA,EAAQ,MAAA,CAAO,WAAA,GAAc,MAAA,CAAO,WAAA;;;;;;;;iBCA1D,WAAA,CAAY,GAAA;AAAA,cAgGf,YAAA;EAAA,SACF,IAAA;EAAA,SACA,OAAA;EAAA,SACA,KAAA;EAAA,QACD,UAAA;EAAA,QACA,WAAA;cAEI,IAAA,UAAc,OAAA;EAAA,IAOtB,YAAA,CAAA,GAAgB,KAAA;IAAQ,OAAA;IAAiB,KAAA;EAAA;EAAA,IAKzC,UAAA,CAAA;EAAA,IAYA,SAAA,CAAA;EAIJ,eAAA,CAAgB,MAAA;IAAmB,IAAA;IAAc,GAAA;EAAA;EAYjD,eAAA,CAAgB,IAAA,UAAc,GAAA;AAAA;AAAA,cAiBnB,MAAA;EAAA,SACF,YAAA,EAAc,YAAA;EAAA,SACd,MAAA;EAAA,SACA,SAAA;EAAA,QAEF,WAAA,CAAA;EAAA,OAMA,QAAA,CAAS,IAAA,UAAc,OAAA,UAAiB,MAAA,YAAa,MAAA;EAAA,OAIrD,UAAA,CAAW,MAAA,EAAQ,MAAA,EAAQ,OAAA,YAAmB,MAAA;EAAA,IAQjD,IAAA,CAAA;EAAA,IAGA,OAAA,CAAA;EAAA,IAGA,QAAA,CAAA;IAAc,IAAA;IAAc,GAAA;EAAA;EAAA,IAG5B,YAAA,CAAA;EAIJ,MAAA,CAAO,KAAA,EAAO,MAAA;EAId,KAAA,CAAA,GAAS,MAAA;EAUT,IAAA,CAAA,GAAQ,MAAA;EAYR,EAAA,CAAA,GAAM,MAAA;EAON,IAAA,CAAA,GAAQ,MAAA;EAOR,QAAA,CAAA,GAAY,MAAA;EAQZ,QAAA,CAAA,GAAY,MAAA;EAOZ,MAAA,CAAO,KAAA,WAAgB,MAAA;EAMvB,SAAA,CAAA,GAAa,MAAA;EAwBb,MAAA,CAAA,GAAU,MAAA;EAOV,aAAA,CAAA;IAAmB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EAUnC,eAAA,CAAA;IAAqB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EAgBrC,cAAA,CAAA;IAAoB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EAepC,UAAA,CAAW,GAAA,UAAa,GAAA,YAAW,MAAA;EAKnC,iBAAA,CAAA,GAAqB,MAAA;EAKrB,oBAAA,CAAqB,UAAA;EAMrB,KAAA,CAAA,GAAS,MAAA;EAGT,OAAA,CAAA,GAAW,MAAA;EAIX,WAAA,CAAA,GAAe,MAAA;EAOf,SAAA,CAAA,GAAa,MAAA;AAAA;;;UCzXE,YAAA;EACf,IAAA;EACA,IAAA;EACA,KAAA;EACA,GAAA;EACA,IAAA;AAAA;AAAA,KAGU,UAAA;AAAA,UAkBK,UAAA;EACf,MAAA,EAAQ,MAAA;EACR,MAAA,EAAQ,UAAA;EACR,MAAA;AAAA;AAAA,iBAWc,gBAAA,CAAiB,MAAA,EAAQ,MAAA,EAAQ,GAAA,EAAK,YAAA,GAAe,UAAA;AAAA,iBAkGrD,kBAAA,CAAA;AAAA,iBAGA,aAAA,CAAA;AAAA,iBAwBA,wBAAA,CAAyB,MAAA,EAAQ,MAAA,EAAQ,GAAA,EAAK,YAAA,GAAe,UAAA;AAAA,iBA6F7D,iBAAA,CAAkB,MAAA,EAAQ,MAAA;AAAA,iBAI1B,gBAAA,CACd,MAAA,EAAQ,MAAA,EACR,UAAA;EACG,SAAA;EAAmB,OAAA;EAAiB,YAAA;EAAwB,UAAA;AAAA;;;;;;;;;;;;AZ/PjE;;;;;;;;ACLA;UYMiB,WAAA;EACf,IAAA;EACA,MAAA;EACA,SAAA;AAAA;AAAA,UAGe,WAAA;EACf,QAAA,CAAS,KAAA;IAAS,IAAA;IAAc,MAAA;EAAA;EAChC,IAAA,IAAQ,WAAA;EAAA,SACC,KAAA;EACT,KAAA;AAAA;AAAA,iBAMc,iBAAA,CAAkB,OAAA,YAAwB,WAAA;;;UChBzC,WAAA;EACf,KAAA;EACA,UAAA;EACA,QAAA;EbPA;EaSA,eAAA,GAAkB,cAAA;AAAA;AAAA,UAGH,YAAA;EACf,IAAA,CAAK,KAAA;EACL,UAAA,CAAW,YAAA;EACX,YAAA;EACA,WAAA,CAAY,KAAA;EACZ,MAAA,CAAO,KAAA,WAAgB,WAAA;EACvB,YAAA,CAAa,KAAA;EACb,YAAA;EACA,eAAA;EAAA,SACS,IAAA;EbVA;;;;;EAAA,SagBA,QAAA;IAAY,QAAA;IAAkB,KAAA;EAAA;EZtBR;EYwB/B,MAAA;EACA,KAAA;AAAA;AAAA,UAGe,yBAAA;EACf,OAAA;EACA,cAAA;AAAA;AAAA,iBA2Cc,kBAAA,CAAmB,OAAA,GAAS,yBAAA,GAAiC,YAAA;;;KCnEjE,SAAA;AAAA,UAEK,cAAA;EACf,KAAA;EACA,MAAA;EACA,OAAA;EACA,IAAA,GAAO,SAAA;EACP,WAAA;EACA,eAAA;EdRS;EcUT,OAAA;EdVQ;EcYR,QAAA;EdbM;EceN,IAAA;EddC;;;;EcmBD,QAAA;;EAEA,WAAA;Eb3BU;;;Ea+BV,eAAA,GAAkB,WAAA;Eb/Ba;;;EamC/B,YAAA,GAAe,KAAA,CAAM,GAAA,CAAI,UAAA;EZ1CV;;;;;;;;;EYoDf,cAAA;EZ9CyC;;EYiDzC,WAAA;AAAA;AAAA,cA6NW,SAAA,EAAS,KAAA,CAAA,mBAAA;EAAA,KAAA;EAAA,MAAA;EAAA,OAAA;EAAA,IAAA;EAAA,WAAA;EAAA,eAAA;EAAA,OAAA,EAAA,WAAA;EAAA,QAAA;EAAA,IAAA;EAAA,QAAA;EAAA,WAAA;EAAA,eAAA;EAAA,YAAA;EAAA,cAAA;EAAA;AAAA,GAgBnB,cAAA,KAAiB,KAAA,CAAM,YAAA;;;;;;;;;;;Af/R1B;;;;iBgBJgB,qBAAA,CAAsB,GAAA,EAAK,GAAA;;iBAQ3B,UAAA,CAAW,OAAA,UAAiB,IAAA,UAAc,KAAA;;;KCV9C,WAAA;AAAA,UAEK,cAAA;EjBIY;EiBF3B,UAAA;;EAEA,kBAAA,GAAqB,IAAA;;AhBLvB;;;;EgBWE,kBAAA,IAAsB,IAAA;AAAA;;iBAIR,gBAAA,CAAiB,IAAA,UAAc,IAAA,EAAM,UAAA;;;;;;;;iBAuBrC,aAAA,CAAc,UAAA,WAAqB,aAAA;AAAA,iBA0BnC,WAAA,CACd,IAAA,UACA,IAAA,EAAM,UAAA,EACN,KAAA,WACA,GAAA,EAAK,cAAA,GACJ,WAAA;;;UClFc,YAAA;EACf,OAAA;;EAEA,SAAA;EACA,MAAA;AAAA;AAAA,UAGe,aAAA;EAAA,SACN,EAAA;EACT,IAAA,IAAQ,OAAA,UAAiB,YAAA;AAAA;AAAA,UAGV,qBAAA;;EAEf,WAAA;EACA,UAAA,aAAuB,YAAA;AAAA;;;;cCdZ,0BAAA,WAAqC,MAAA;AAAA,iBAOlC,kBAAA,CACd,OAAA,UACA,QAAA,YAAmB,MAAA;;;cCPR,mBAAA;AAAA,UAMI,sBAAA;EACf,MAAA;EACA,iBAAA,YAA6B,MAAA;;EAE7B,eAAA;AAAA;;iBAoCc,eAAA,CACd,OAAA,UACA,OAAA,GAAS,sBAAA,GACR,YAAA;AAAA,iBAyDa,gBAAA,CAAiB,OAAA;;;cCzGpB,oBAAA;AAAA,UAEI,uBAAA;EACf,MAAA;EACA,iBAAA,YAA6B,MAAA;EAC7B,eAAA;AAAA;;;ArBSF;iBqBHgB,gBAAA,CACd,OAAA,UACA,OAAA,GAAS,uBAAA,GACR,YAAA;;;cCdU,oBAAA;AAAA,UAEI,uBAAA;EACf,MAAA;EACA,iBAAA,YAA6B,MAAA;EAC7B,eAAA;AAAA;;iBAIc,gBAAA,CACd,OAAA,UACA,OAAA,GAAS,uBAAA,GACR,YAAA;;;cCbU,mBAAA;AAAA,UAMI,mBAAA;;EAEf,iBAAA;AAAA;;iBAIc,mBAAA,CACd,mBAAA,qBACA,eAAA,WAA0B,YAAA,IAC1B,OAAA,GAAS,mBAAA,GACR,YAAA;AAAA,iBA4Ca,iBAAA,CAAkB,OAAA,WAAkB,YAAA;AAAA,iBAIpC,2BAAA,CACd,mBAAA,qBACA,eAAA,WAA0B,YAAA,IAC1B,OAAA,GAAU,mBAAA,GACT,qBAAA;;;UC3Bc,cAAA;EvB/BA;EuBiCf,KAAA,EAAO,WAAA;;EAEP,YAAA;EvB/BQ;EuBiCR,QAAA,EAAU,mBAAA;EvB1BwB;EuB4BlC,MAAA;EvB3BM;EuB6BN,IAAA;EvB5BC;EuB8BD,OAAA;EvB9BQ;;;;EuBmCR,aAAA;EvBnC0B;EuBqC1B,QAAA,GAAW,KAAA,EAAO,UAAA;;EAElB,OAAA,GAAU,IAAA;IAAQ,WAAA;EAAA;EtB7Ca;;;;EsBkD/B,KAAA;;EAEA,aAAA,IAAiB,KAAA;ErB3DF;;;;;;;EqBmEf,eAAA,IAAmB,IAAA,aAAiB,OAAA;IAAU,OAAA;IAAiB,SAAA;EAAA;;;;;;;;;EAS/D,aAAA,GAAgB,UAAA;AAAA;AAAA,iBA2HF,SAAA,CAAA;EACd,KAAA;EACA,YAAA;EACA,QAAA;EACA,MAAA;EACA,IAAA;EACA,OAAA;EACA,aAAA;EACA,QAAA;EACA,OAAA;EACA,aAAA;EACA,eAAA;EACA,aAAA;EACA;AAAA,GAAS,cAAA,GAAiB,KAAA,CAAM,YAAA;;;;;;;;;;;;AxB/MlC;;;iByBLgB,kBAAA,CAAmB,IAAA;AAAA,UAalB,iBAAA;;EAEf,IAAA;;EAEA,YAAA;ExBjB0C;EwBmB1C,GAAA;AAAA;AAAA,UAGe,WAAA;EACf,IAAA;ExBZkC;EwBclC,IAAA;AAAA;AAAA,UAGe,kBAAA;ExBfd;EwBiBD,MAAA,EAAQ,WAAA;ExBjBA;EwBmBR,IAAA;ExBpBA;EwBsBA,KAAA,EAAO,iBAAA;AAAA;AAAA,iBAGO,gBAAA,CAAA,GAAoB,iBAAA;;;;;iBAQpB,gBAAA,CAAiB,CAAA,EAAG,iBAAA,EAAmB,CAAA,WAAY,kBAAA;;;cCtCtD,kBAAA;AAAA,UAEI,SAAA;EzBTA;EyBWf,IAAA,CAAK,CAAA,UAAW,SAAA;;EAEhB,MAAA;AAAA;AAAA,iBAGc,aAAA,CACd,KAAA,GAAQ,CAAA,mBACR,UAAA,YACC,SAAA;;;;;;;KC5BS,UAAA;AAAA,UAEK,UAAA;EACf,OAAA;;EAEA,iBAAA;EACA,QAAA;EACA,GAAA,CAAI,UAAA,UAAoB,QAAA;EACxB,QAAA;EAAA,SACS,KAAA,EAAO,UAAA;EAAA,SACP,UAAA;EAAA,SACA,SAAA;EACT,SAAA,CAAU,QAAA;EACV,KAAA;AAAA;AAAA,iBAGc,gBAAA,CAAA,GAAoB,UAAA;;;UCbnB,cAAA;EAAiB,IAAA;EAAmB,QAAA,EAAU,gBAAA;EAAoB,OAAA;EAAiB,SAAA;AAAA;AAAA,KACxF,kBAAA,GAAqB,gBAAA,GAAmB,cAAA;AAAA,iBAOpC,gBAAA,CAAiB,IAAA,EAAM,gBAAA,IAAoB,SAAA,YAAgB,kBAAA;AAAA,iBAuB3D,cAAA,CAAe,KAAA,EAAO,cAAA,GAAiB,cAAA;AAAA,iBACvC,eAAA,CAAgB,IAAA,EAAM,kBAAA,KAAuB,gBAAA;;;UCzB5C,YAAA;EACf,OAAA,EAAS,WAAA;EACT,OAAA;AAAA;AAAA,iBAGO,WAAA,CAAA;EAAc,OAAA;EAAS;AAAA,GAAgB,YAAA,GAAe,KAAA,CAAM,YAAA;AAAA,cAUxD,OAAA,EAAO,KAAA,CAAA,mBAAA,QAAA,WAAA;;;UCXH,WAAA;;EAEf,MAAA;;EAEA,UAAA;;;;A9BJF;;;;;;;;ACLA;;;;;E6B0BE,eAAA;AAAA;AAAA,UAGe,WAAA;EACf,KAAA,EAAO,KAAA,CAAM,WAAA;E7BjBJ;E6BmBT,QAAA,CAAS,KAAA;E7BnBD;E6BqBR,IAAA,CAAK,GAAA,UAAa,IAAA;E7BtBZ;E6BwBN,KAAA;E7BvBC;E6ByBD,QAAA;E7BzB0B;E6B2B1B,SAAA,CAAU,CAAA;;EAEV,aAAA,CAAc,CAAA;;EAEd,kBAAA,CAAmB,CAAA;E5BrCY;;;;;E4B2C/B,aAAA,CAAc,OAAA,GAAU,KAAA;;EAExB,aAAA,CAAc,KAAA;AAAA;;;UChCC,WAAA;EACf,aAAA;EACA,iBAAA;EACA,YAAA,EAAc,iBAAA;;EAEd,QAAA;EACA,WAAA;EACA,oBAAA;EACA,eAAA;EACA,aAAA;EACA,YAAA;EACA,kBAAA;EACA,uBAAA;EACA,UAAA;EACA,UAAA;AAAA;AAAA,UAqBe,WAAA;EACf,KAAA,EAAO,KAAA,CAAM,WAAA;E9BtDb;E8BwDA,KAAA;AAAA;;;UC7Ce,eAAA;EACf,WAAA,EAAa,WAAA;EACb,iBAAA,EAAmB,WAAA;EACnB,OAAA;EACA,IAAA;EACA,cAAA;EACA,YAAA;E/BRkC;E+BUlC,WAAA;IAAgB,IAAA;IAAc,IAAA;EAAA;E/BRtB;;;E+BYR,cAAA;E/BZC;E+BcD,aAAA;IAA2B,IAAA;IAAc,EAAA;EAAA;;;EAGzC,UAAA;E9BvB+B;E8ByB/B,WAAA,EAAa,WAAA;E9BzBkB;E8B2B/B,cAAA;EACA,YAAA;EACA,aAAA;EACA,SAAA,IAAa,UAAA;E7BrCE;E6BuCf,SAAA;EACA,eAAA;EACA,gBAAA,IAAoB,MAAA;EACpB,iBAAA,IAAqB,KAAA;EACrB,kBAAA,IAAsB,IAAA;EACtB,gBAAA;AAAA;AAAA,iBAGc,UAAA,CAAA;EACd,WAAA;EACA,iBAAA;EACA,OAAA;EACA,IAAA;EACA,cAAA;EACA,YAAA;EACA,WAAA;EACA,cAAA;EACA,aAAA;EACA,UAAA;EACA,WAAA;EACA,cAAA;EACA,YAAA;EACA,aAAA;EACA,SAAA;EACA,SAAA;EACA,eAAA;EACA,gBAAA;EACA,iBAAA;EACA,kBAAA;EACA;AAAA,GACC,eAAA,GAAkB,KAAA,CAAM,YAAA;;;;;;UC/EV,YAAA;EACf,IAAA;EACA,OAAA;EACA,OAAA;EACA,OAAA;EACA,YAAA,GAAe,KAAA;IAAQ,IAAA;IAAc,OAAA;EAAA;AAAA;AAAA,UAGtB,QAAA;EACf,MAAA;EACA,KAAA,EAAO,YAAA;AAAA;;;;;;iBC8cO,kBAAA,CAAmB,OAAA,WAAkB,OAAA;;;UCrcpC,uBAAA;;EAEf,QAAA;;EAEA,QAAA;;EAEA,WAAA;EnCVU;EmCYV,iBAAA;;EAEA,eAAA;EnCd2B;EmCgB3B,QAAA;;EAEA,SAAA;ElCvBe;EkCyBf,IAAA;;EAEA,UAAA;ElCvBQ;EkCyBR,gBAAA;ElClBkC;EkCoBlC,WAAA;ElCnBM;EkCqBN,YAAA;ElCpBC;EkCsBD,UAAA;ElCtBQ;EkCwBR,WAAA;ElCzBA;EkC2BA,gBAAA;ElC1BS;EkC4BT,SAAA;ElC5B0B;EkC8B1B,EAAA;;EAEA,UAAA;EjCtCU;EiCwCV,SAAA;;EAEA,SAAA;EjC1C+B;EiC4C/B,WAAA;AAAA;AAAA,iBAsFc,6BAAA,CAA8B,SAAA,EAAW,sBAAA;AAAA,iBAIzC,6BAAA,CAAA,GAAiC,sBAAA;;;;;;;iBCpGjC,YAAA,CAAa,IAAA,UAAc,KAAA,YAAe,UAAA,GAAY,uBAAA;AAAA,iBAgStD,qBAAA,CACd,IAAA,UACA,OAAA,WACA,UAAA,GAAY,uBAAA;;;;ApCvUd;;;;;;;;ACLA;;iBoC0CgB,oBAAA,CAAqB,QAAA,EAAU,WAAA,IAAe,aAAA;;;;UChD7C,WAAA;EACf,KAAA;EACA,KAAA;AAAA;AAAA,KAGU,aAAA,GAAgB,WAAA;;;;AtCM5B;iBsCAgB,mBAAA,CAAoB,OAAA,WAAkB,aAAA;;;UCiCrC,eAAA;EACf,KAAA;EACA,QAAA;EtC3BC;EsC6BD,MAAA;EtC7BQ;EsC+BR,MAAA;EtChCA;;;;EsCqCA,MAAA;;EAEA,aAAA;;EAEA,aAAA;ErC9C+B;EqCgD/B,UAAA;EACA,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;iBAIF,UAAA,CAAW,MAAA,EAAQ,eAAA;AAAA,kBAAnB,UAAA;EAAA,IAAU,WAAA;AAAA;AAAA,UAKT,gBAAA;EACf,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;iBAIF,WAAA,CAAY,MAAA,EAAQ,gBAAA;AAAA,kBAApB,WAAA;EAAA,IAAW,WAAA;AAAA;AAAA,UAKV,gBAAA;EACf,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;iBAIF,WAAA,CAAY,MAAA,EAAQ,gBAAA;AAAA,kBAApB,WAAA;EAAA,IAAW,WAAA;AAAA;;iBAMX,eAAA,CAAA;AAAA,kBAAA,eAAA;EAAA,IAAe,WAAA;AAAA;;iBAMf,aAAA,CAAA;EAAgB;AAAA;EAAc,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA,IAAc,KAAA,CAAM,YAAA;AAAA,kBAAlE,aAAA;EAAA,IAAa,WAAA;AAAA;;iBAMb,aAAA,CAAc,MAAA;EAAU,QAAA,GAAW,KAAA,CAAM,SAAA;AAAA;AAAA,kBAAzC,aAAA;EAAA,IAAa,WAAA;AAAA;AAAA,UAkFZ,eAAA;ElCvLX;EkCyLJ,KAAA;ElCxLuB;EkC0LvB,QAAA;ElCzLI;;;;AAEN;;;EkC+LE,YAAA;IAAiB,IAAA;IAAc,KAAA;IAAe,OAAA;EAAA;ElChL5B;EkCkLlB,YAAA;ElC7HY;EkC+HZ,aAAA,IAAiB,KAAA;ElC/HK;EkCiItB,QAAA;ElC3LQ;EkC6LR,UAAA;ElC3LiB;EkC6LjB,MAAA,GAAS,KAAA,CAAM,SAAA;;EAEf,MAAA;ElC5LY;;;;;EkCkMZ,KAAA,IAAS,KAAA,UAAe,GAAA,EAAK,GAAA,EAAK,QAAA,EAAU,YAAA;ElC7I5C;;;;;EkCmJA,KAAA;ElC9HQ;;;;;EkCoIR,kBAAA;EjClOe;EiCoOf,IAAA;;;;;;;EAOA,qBAAA;EjCrOA;;;AAWF;;;EiCiOE,eAAA;EACA,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;AAAA,iBAGF,UAAA,CAAA;EACd,KAAA;EACA,QAAA;EACA,YAAA;EACA,YAAA;EACA,aAAA;EACA,QAAA;EACA,UAAA;EACA,MAAA;EACA,MAAA;EACA,KAAA;EACA,KAAA;EACA,kBAAA;EACA,IAAA;EACA,qBAAA;EACA,eAAA;EACA;AAAA,GAAY,eAAA,GAAkB,KAAA,CAAM,YAAA;;cA8QzB,MAAA;;;;;;;;;;;UC7gBI,qBAAA;EACf,IAAA;EACA,KAAA;EACA,IAAA;EACA,SAAA,GAAY,IAAA;EACZ,MAAA;AAAA;AAAA,iBAKc,gBAAA,CAAA;EACd,IAAA;EACA,KAAA;EACA,IAAA;EACA,SAAA;EACA;AAAA,GACC,qBAAA,GAAwB,KAAA,CAAM,YAAA;;;UCNhB,yBAAA;EACf,OAAA;EACA,IAAA;ExCfe;EwCiBf,WAAA;;EAEA,gBAAA;EACA,SAAA,GAAY,IAAA;EACZ,MAAA;AAAA;AAAA,iBAec,oBAAA,CAAA;EACd,OAAA;EACA,IAAA;EACA,WAAA;EACA,gBAAA;EACA,SAAA;EACA;AAAA,GACC,yBAAA,GAA4B,KAAA,CAAM,YAAA;;;UCpCpB,gBAAA;EACf,KAAA;;EAEA,OAAA;E1CL2B;E0CO3B,OAAA;EACA,IAAA;AAAA;AAAA,iBAGc,WAAA,CAAA;EACd,KAAA;EACA,OAAA;EACA,OAAA;EACA;AAAA,GACC,gBAAA,GAAmB,KAAA,CAAM,YAAA;;;UCVX,iBAAA;EACf,KAAA;E3CP2B;E2CS3B,OAAA;;EAEA,WAAA;;EAEA,YAAA;E1ClB0C;E0CoB1C,WAAA;E1ClBA;E0CoBA,WAAA;E1CXc;E0Cad,OAAA;EACA,QAAA,GAAW,KAAA;EACX,QAAA;AAAA;AAAA,iBAGc,YAAA,CAAA;EACd,KAAA;EACA,OAAA;EACA,WAAA;EACA,YAAA;EACA,WAAA;EACA,WAAA;EACA,OAAA;EACA,QAAA;EACA;AAAA,GAAY,iBAAA,GAAoB,KAAA,CAAM,YAAA;;;UClCvB,kBAAA;;EAEf,EAAA;EACA,SAAA;EACA,IAAA;;EAEA,MAAA;E5CLU;E4COV,KAAA;;EAEA,OAAA;E5CT2B;E4CW3B,WAAA;;EAEA,WAAA;E3ClBe;E2CoBf,YAAA;AAAA;AAAA,UAGe,kBAAA;EACf,OAAA,EAAS,kBAAA;AAAA;AAAA,UAGM,kBAAA;EACf,KAAA,EAAO,KAAA,CAAM,kBAAA;E3ChBP;;EACL;E2CmBD,gBAAA,CAAiB,MAAA,UAAgB,KAAA,UAAe,OAAA;E3CnBxC;E2CqBR,WAAA,CAAY,WAAA,UAAqB,WAAA;E3CtBjC;E2CwBA,mBAAA,CAAoB,YAAA;AAAA;;;UCnCL,YAAA;EACf,aAAA;EACA,SAAA;EACA,YAAA;AAAA;AAAA,UAGe,YAAA;EACf,KAAA,EAAO,KAAA,CAAM,YAAA;;A7CHf;E6CME,KAAA;EACA,gBAAA,CAAiB,CAAA;EACjB,YAAA,CAAa,CAAA;EACb,eAAA,CAAgB,CAAA;AAAA;;;UCHD,cAAA;EACf,OAAA;EACA,MAAA;EACA,MAAA;EACA,QAAA;;EAEA,UAAA;AAAA;;;UCFe,QAAA;EACf,OAAA;E9CHQ;E8CKR,IAAA;E9CNA;;E8CSA,aAAA,IAAiB,KAAA,GAAQ,IAAA;E9CRC;E8CU1B,cAAA;;EAEA,UAAA;;EAEA,UAAA;E7CpB+B;;E6CuB/B,cAAA;E7CvB+B;E6CyB/B,MAAA;;EAEA,WAAA,GAAc,WAAA;E5ClCC;E4CoCf,WAAA,IAAe,GAAA;IAAO,KAAA;EAAA,MAAoB,OAAA,CAAQ,WAAA;E5CnClD;E4CqCA,YAAA,GAAe,YAAA;EACf,QAAA,GAAW,WAAA;E5CpCH;E4C8CR,QAAA,GAAW,IAAA;E5C3CG;EAA2B;E4C8CzC,WAAA;E5C7CM;;;;;E4CmDN,aAAA,GATe,aAAA;E5C1Cf;;;;E4CwDA,eAAA,GAL+C,oBAAA;;;;A3C1BjD;;E2CqCE,mBAAA,GAAsB,MAAA,SANkC,mBAAA;E3C/BpC;E2CuCpB,qBAAA;EACA,IAAA;;;EAGA,WAAA,GAAc,mBAAA;E1C/EM;;;;;;;;E0CwFpB,eAAA,IAAmB,IAAA,aAAiB,OAAA;IAAU,OAAA;IAAiB,SAAA;EAAA;E1CnF3B;;;;AAQtC;E0CiFE,oBAAA,IACE,IAAA,UACA,SAAA,EAAW,eAAA,kBACR,OAAA;IAAU,UAAA;IAAqB,UAAA;IAAqB,KAAA;EAAA;E1CxBnC;E0C0BtB,eAAA,IAAmB,IAAA,aAAiB,WAAA;E1CrF5B;E0CuFR,eAAA;E1CrFQ;E0CuFR,mBAAA;E1CrFiB;E0CuFjB,aAAA;E1CrFkB;E0CuFlB,iBAAA;E1ClFI;E0CoFJ,YAAA;E1CjFA;E0CmFA,gBAAA;E1CnFqB;E0CqFrB,SAAA;E1CxCY;E0C0CZ,iBAAA;E1ChCA;E0CkCA,WAAA,IAAe,IAAA;E1C3BP;;E0C8BR,aAAA,IAAiB,KAAA,EArB8B,UAAA;E1CL1B;E0C4BrB,aAAA,IAAiB,KAAA;;EAEjB,iBAAA,IAAqB,GAAA;EzC5HN;EyC8Hf,SAAA;;EAEA,iBAAA;EzC/HA;EyCiIA,eAAA;EzC/HA;EyCiIA,aAAA,IAAiB,KAAA;EzC/HjB;EyCiIA,WAAA,IAAe,KAAA,UAAe,KAAA;EzChItB;EyCkIR,eAAA,IAAmB,KAAA,UAAe,IAAA;EzCvHpB;;EyC0Hd,cAAA,IAAkB,KAAA,UAAe,IAAA;EzC1HF;EyC4H/B,cAAA;;EAEA,uBAAA;;EAEA,aAAA,IAAiB,OAAA;ExCnFU;;EwCsF3B,iBAAA,GAAoB,yBAAA;ExCtFQ;;;;;AAO9B;;EwCuFE,uBAAA,IAA2B,KAAA;ExCvFD;;;;;EwC6F1B,mBAAA,IAAuB,OAAA,EAAS,OAAA,CAAQ,eAAA;ExC7F8C;EwC+FtF,mBAAA;ExCxFwB;EwC0FxB,iBAAA;ExC1FyB;EwC4FzB,iBAAA;ExCvFc;EwCyFd,gBAAA,IAAoB,EAAA;;EAEpB,sBAAA,IAA0B,EAAA;ExC3FiC;EwC6F3D,uBAAA;ExCzF4B;EwC2F5B,iBAAA,IAAqB,EAAA;ExC3FO;EwC6F5B,kBAAA,IAAsB,EAAA;ExC1FR;EwC4Fd,kBAAA,IAAsB,EAAA;;EAEtB,qBAAA;ExC9F0B;AAI5B;EwC6FE,wBAAA,IAA4B,MAAA;ExC7FD;;;;;;;;;;;ACpF7B;EuC8LE,kBAAA,IAAsB,KAAA,EApCiB,UAAA;;;;AvCrJzC;;EuC+LE,oBAAA,IAAwB,MAAA;EvC/LqD;EuCiM7E,gBAAA,IAAoB,EAAA,UAAY,IAAA;EvCjMa;;;;EuCsM7C,WAAA;EvCtM6E;EuCwM7E,OAAA;IACE,OAAA;IACA,OAAA;IACA,GAAA,WvCxLuC;IuC0LvC,QAAA;IACA,eAAA;MAAoB,MAAA;MAAgB,OAAA;MAAiB,KAAA;MAAgB,MAAA;IAAA;IACrE,OAAA;MAAY,SAAA;MAAmB,IAAA;MAAc,QAAA;IAAA;EAAA;EtCxL3B;;;;AAEtB;;;;EsCgME,iBAAA;EtC5LA;EsC8LA,eAAA,IAAmB,EAAA;EtCzLnB;EsC2LA,mBAAA,IAAuB,WAAA;EtC3LD;EsC6LtB,kCAAA;EtC3LO;EsC6LP,WAAA,GAAc,WAAA;EACd,YAAA,GAAe,YAAA;EtC5LE;;EsC+LjB,iBAAA,GAAoB,iBAAA;EtClL4D;EsCoLhF,SAAA,GAAY,SAAA;EtCpLe;EsCsL3B,UAAA,GAAa,UAAA;EtC3KC;EsC6Kd,UAAA,GAAa,UAAA;;EAEb,SAAA;EtC/K0B;EsCiL1B,cAAA;EtCjL+D;;;;EsCsL/D,gBAAA;IAAA,CACG,GAAA,EAAK,iBAAA,GAAoB,OAAA;IAAA,CACzB,GAAA,EAAK,gBAAA;EAAA;EtC9KR;EsCiLA,gBAAA,IAAoB,GAAA;EtC/KZ;EsCiLR,oBAAA;EtCjL0B;EsCmL1B,YAAA;EtClIc;EsCoId,WAAA;;EAEA,kBAAA,GAAqB,kBAAA;EtCrIrB;EsCuIA,YAAA,GAAe,YAAA;EtCtIf;;;AAoBF;;;EsCyHE,WAAA,GAAc,WAAA;EACd,SAAA,GAAY,SAAA;EtCzHA;EsC4HZ,aAAA;EtC3HA;EsC6HA,QAAA,IAAY,IAAA,UAAc,IAAA,EAAM,UAAA,EAAY,KAAA;EAC5C,WAAA;EtC7H0B;EsC+H1B,WAAA;EACA,oBAAA,IAAwB,EAAA,UAAY,QAAA,WAAmB,IAAA;EtCzH3B;EsC+H5B,eAAA,IAAmB,KAAA;EtC/HkE;EsCiIrF,cAAA,IAAkB,KAAA;EtCjIuB;EsCmIzC,aAAA;EtCnIoE;EsCqIpE,mBAAA,IAAuB,MAAA,EAhBmB,gBAAA;EtCrH2C;EsCuIrF,kBAAA,IAAsB,OAAA,EAAS,MAAA,2BAAiC,YAAA;;EAEhE,gBAAA,IAAoB,SAAA,WAAoB,KAAA;ErCrS1B;EqCuSd,cAAA;;EAEA,eAAA,IAAmB,KAAA;ErCzSyB;EqC2S5C,aAAA;ErCtSmC;;EqCySnC,aAAA;ErCzS4C;EqC2S5C,aAAA;ErC3SoC;EqC6SpC,mBAAA;ErC7SwE;EqC+SxE,gBAAA;ErC/SmF;EqCiTnF,aAAA;;EAEA,cAAA;EpCnTc;EoCqTd,sBAAA;;EAEA,gBAAA;EpCvTqC;EoC0TrC,eAAA;EpC1NuB;EoC4NvB,wBAAA;EpC9MyB;EoCgNzB,wBAAA;EpC5NS;EoC8NT,iBAAA;EpC5NQ;EoC8NR,qBAAA;;EAEA,qBAAA,IAAyB,EAAA;EpC7NC;EoC+N1B,oBAAA;EpCxNoB;EoC0NpB,SAAA;EpC1N6C;EoC4N7C,eAAA;EpC3MI;EoC6MJ,OAAA,IAAW,KAAA,UAAe,OAAA;EpCzMV;EoC2MhB,cAAA;EpC3MiD;EoC6MjD,WAAA;IAAgB,OAAA,EAAS,iBAAA;EAAA;EpCjMgB;EoCmMzC,eAAA;IAAoB,OAAA,EAFoB,SAAA;EAAA;;EAIxC,cAAA,GAAiB,cAAA;EpCzK2C;EoC2K5D,YAAA;EpCvKqD;EoCyKrD,cAAA;EpChJS;EoCkJT,iBAAA;EpC5HM;EoC8HN,YAAA;EpChHY;EoCkHZ,WAAA,GAV+B,cAAA;EpCzFR;EoCqGvB,YAAA,IAAgB,WAAA,UAAqB,MAAA,UAAgB,OAAA,GAAU,MAAA;EpCvErD;EoCyEV,eAAA;IAAoB,OAAA;MAAW,IAAA,GAAO,IAAA;IAAA;EAAA;EpCT7B;EoCWT,cAAA;IACE,OAAA;MACE,OAAA,GAAU,QAAA,EAAU,aAAA;MACpB,MAAA,QAAc,aAAA;IAAA;EAAA;EpCtMK;EoC0MvB,WAAA;IAAgB,IAAA;IAAc,IAAA;EAAA;EpChMd;EoCkMhB,iBAAA,IAAqB,IAAA,UAAc,IAAA;EpClMY;;EoCqM/C,eAAA,IAAmB,EAAA;AAAA;;;cC+UR,GAAA,EAAG,KAAA,CAAA,mBAAA,EAAA,KAAA,EAAkC,QAAA,KAAW,KAAA,CAAM,YAAA;;;UCtsBlD,YAAA;EACf,IAAA;EACA,OAAA;EACA,MAAA;EjDJ2B;EiDM3B,cAAA;;EAEA,cAAA;EhDbe;EgDef,MAAA;;;EAGA,IAAA;EhDPc;;EgDUd,eAAA;EhDTM;EgDWN,aAAA;EhDVC;EgDYD,YAAA;EhDZQ;;;;EgDiBR,iBAAA;AAAA;AAAA,iBAsBc,OAAA,CAAA;EACd,IAAA;EACA,OAAA;EACA,MAAA;EACA,cAAA;EACA,cAAA;EACA,MAAA;EACA,IAAA;EACA,eAAA;EACA,aAAA;EACA,YAAA;EACA;AAAA,GACC,YAAA,GAAe,KAAA,CAAM,YAAA;;;UC7DP,iBAAA;EACf,KAAA;;EAEA,MAAA;AAAA;AAAA,iBAGc,YAAA,CAAA;EAAe,KAAA;EAAO;AAAA,GAAgB,iBAAA,GAAoB,KAAA,CAAM,YAAA;;;;;;;;;;;;AlDJhF;;cmDNa,mBAAA;;;UC0BI,eAAA;EACf,GAAA;EACA,KAAA;EACA,QAAA;AAAA;AAAA,UAGe,cAAA;EACf,KAAA,EAAO,eAAA;;EAEP,SAAA;ElD3B+B;EkD6B/B,KAAA,GAAQ,WAAA;ElD7BuB;EkD+B/B,QAAA;;EAEA,QAAA,IAAY,GAAA;;AjDxCd;;;;;;EiDgDE,cAAA;EjD7CQ;;AAGV;;;;;;EiDmDE,iBAAA;AAAA;AAAA,iBAoBc,SAAA,CAAA;EACd,KAAA;EACA,SAAA;EACA,KAAA;EACA,QAAA;EACA,QAAA;EACA,cAAA;EACA;AAAA,GACC,cAAA,GAAiB,KAAA,CAAM,YAAA;;;UC1ET,yBAAA;EpDPP;EoDSR,OAAA;EpDFkC;EoDIlC,KAAA;EpDHM;EoDKN,MAAA;AAAA;;iBAIc,oBAAA,CAAA;EAAuB,OAAA;EAAS,KAAA;EAAO;AAAA,GAAgB,yBAAA,GAA4B,KAAA,CAAM,YAAA;AAAA,UAWxF,yBAAA;EpDpBf;EoDsBA,OAAA;EpDrBS;EoDuBT,KAAA;EpDvB0B;EoDyB1B,MAAA;AAAA;;iBAIc,oBAAA,CAAA;EAAuB,OAAA;EAAS,KAAA;EAAO;AAAA,GAAgB,yBAAA,GAA4B,KAAA,CAAM,YAAA;;;UC3BxF,aAAA;ErDFN;EqDIT,OAAA;EACA,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;;;UAMD,oBAAA;EACf,QAAA;EACA,QAAA,EAAU,eAAA;AAAA;AAAA,iBAKI,WAAA,CAAA,GAAe,oBAAA;AAAA,iBAMf,QAAA,CAAA;EAAW,OAAA;EAAS;AAAA,GAAY,aAAA,GAAgB,KAAA,CAAM,YAAA;;;iBCoEhD,QAAA,CAAS,IAAA,EAAM,UAAA,GAAa,OAAA,CAAQ,SAAA;;;;UC7GzC,OAAA;EACf,WAAA,CAAY,GAAA,EAAK,WAAA;EACjB,aAAA,CAAc,IAAA;EACd,eAAA,CAAgB,KAAA,EAAO,cAAA;EACvB,QAAA,CAAS,KAAA,EAAO,QAAA,IAAY,KAAA;EAC5B,eAAA,EAAiB,YAAA;EACjB,cAAA,KAAmB,WAAA;AAAA;AAAA,UAGJ,YAAA;EACf,SAAA;EACA,QAAA;EACA,SAAA;EACA,aAAA;EACA,SAAA,EAAW,QAAA;EACX,YAAA;AAAA;AAAA,iBAEc,kBAAA,CAAA,GAAsB,YAAA;;;;;;;;;;;;;;iBAiBtB,oBAAA,CAAqB,QAAA,EAAU,aAAA;EAAgB,IAAA;AAAA,IAAkB,SAAA;;UAqBhE,oBAAA;EACf,IAAA;EACA,MAAA;EACA,SAAA;EACA,SAAA;EACA,UAAA;EACA,aAAA;EACA,KAAA;EACA,SAAA;EACA,UAAA;EACA,WAAA;AAAA;;;ArDvDF;;;;;;;;;;;iBqDuEgB,mBAAA,CACd,QAAA,WAAmB,WAAA,IACnB,aAAA,WAAwB,oBAAA,IACxB,SAAA,WACC,WAAA;;UAyCc,eAAA;EACf,MAAA;EACA,KAAA;EACA,aAAA;EpD7FU;EoD+FV,MAAA;;EAEA,UAAA;AAAA;;;;AnDrIF;;;;;;;;iBmDmJgB,gBAAA,CAAiB,EAAA,EAAI,eAAA,EAAiB,KAAA,EAAO,YAAA;;;;;;;;;;;;;;;;;;;iBAqB7C,WAAA,CAAY,EAAA,EAAI,YAAA,EAAc,IAAA,EAAM,OAAA,EAAS,KAAA,EAAO,YAAA;;;;;;;;;UC3KnD,YAAA;;EAEf,OAAA;EzDUU;EyDRV,YAAA;;EAEA,aAAA;EzDM2B;EyDJ3B,SAAA;AAAA;;UAIe,gBAAA;EACf,IAAA;EACA,OAAA;EACA,UAAA;AAAA;AAAA,iBAGc,aAAA,CAAc,QAAA,WAAmB,gBAAA,IAAoB,KAAA,GAAO,YAAA;;;UClB3D,mBAAA;EACf,MAAA,CAAO,KAAA,WAAgB,WAAA,CAAY,CAAA;AAAA;;iBAIrB,yBAAA,GAAA,CACd,KAAA,WAAgB,cAAA,CAAe,CAAA,KAC/B,OAAA,GAAU,kBAAA,GACT,mBAAA,CAAoB,CAAA;;;UCTN,YAAA;EACf,WAAA,CAAY,GAAA,EAAK,WAAA;EACjB,aAAA,CAAc,IAAA;EACd,eAAA,CAAgB,KAAA,EAAO,cAAA;EACvB,cAAA,KAAmB,WAAA;EACnB,QAAA,EAAU,KAAA,EAAO,QAAA,IAAY,KAAA;EAC7B,eAAA,EAAiB,YAAA;AAAA;AAAA,UAGF,gBAAA;EACf,WAAA,CAAY,GAAA,EAAK,WAAA;EACjB,aAAA,CAAc,IAAA;EACd,eAAA,CAAgB,KAAA,EAAO,cAAA;EACvB,cAAA,IAAkB,WAAA;EAClB,QAAA,CAAS,KAAA,EAAO,QAAA,IAAY,KAAA;EAC5B,eAAA,CAAgB,YAAA;AAAA;AAAA,iBAGF,kBAAA,CAAmB,IAAA,EAAM,gBAAA,GAAmB,YAAA;;;UCnB3C,iBAAA;EACf,MAAA,CAAO,KAAA,EAAO,kBAAA;;EAEd,KAAA,CAAM,YAAA;AAAA;AAAA,iBAGQ,8BAAA,CAA+B,IAAA,EAAM,YAAA,GAAe,iBAAA"}
|
|
1
|
+
{"version":3,"file":"index.d.ts","names":[],"sources":["../src/overlays/TrustPromptDialog.tsx","../src/WorkspaceTrustPrompt.tsx","../src/overlays/ParentWorkspaceDialog.tsx","../src/ParentWorkspacePrompt.tsx","../src/ui-state/types.ts","../src/term/paste.ts","../src/term/keys.ts","../src/term/osc.ts","../src/term/sync-output.ts","../src/term/insert-history.ts","../src/term/clear-guard.ts","../src/input/cursor.ts","../src/input/text-input-logic.ts","../src/input/input-buffer.ts","../src/input/history-provider.ts","../src/input/TextInput.tsx","../src/input/horizontal-step.ts","../src/input/submit-routing.ts","../src/history/types.ts","../src/history/sensitive-patterns.ts","../src/history/zsh-history-parser.ts","../src/history/bash-history-parser.ts","../src/history/fish-history-parser.ts","../src/history/merged-history-provider.ts","../src/panes/SigilPane.tsx","../src/messages/stream-commit.ts","../src/messages/stream-coalesce.ts","../src/messages/query-guard.ts","../src/messages/collapse.ts","../src/messages/Message.tsx","../src/stores/scroll-store.ts","../src/stores/stream-store.ts","../src/messages/REPLRegion.tsx","../src/messages/diff-logic.ts","../src/messages/message-lines.ts","../src/messages/markdown-typography.ts","../src/messages/markdown-to-lines.ts","../src/messages/transcript-text.ts","../src/messages/key-value-lines.ts","../src/dialogs/SelectPrimitive.tsx","../src/dialogs/PermissionDialog.tsx","../src/dialogs/BashPermissionDialog.tsx","../src/dialogs/AlertDialog.tsx","../src/dialogs/PromptDialog.tsx","../src/stores/perf-store.ts","../src/stores/compaction-log-store.ts","../src/stores/gallery-store.ts","../src/panes/ShellPane.tsx","../src/app-props.ts","../src/App.tsx","../src/components/Spinner.tsx","../src/layouts/GroupDivider.tsx","../src/utils/tool-label.ts","../src/components/Segmented.tsx","../src/components/ScrollIndicators.tsx","../src/router/TabScope.tsx","../src/main.ts","../src/session-contract/reduce.ts","../src/utils/print-messages.ts","../src/search/incremental-search.ts","../src/bootstrap/store-tui-sink.ts","../src/bootstrap/session-event-reduce-bridge.ts"],"mappings":";;;;;;;;;;KAkBY,iBAAA;;;UCLK,2BAAA;;EAEf,IAAA;;EAEA,QAAA;AAAA;;;;ADCF;iBCMgB,oBAAA,CACd,IAAA,EAAM,2BAAA,GACL,OAAA,CAAQ,iBAAA;;;KCNC,qBAAA;;;UCPK,4BAAA;EACf,UAAA;EACA,WAAA;EACA,QAAA;AAAA;AAAA,iBAGc,2BAAA,CACd,IAAA,EAAM,4BAAA,GACL,OAAA,CAAQ,qBAAA;;;;KCwBC,UAAA;;;;;;;;;;;;;;;;;;;KCpCA,UAAA;EACN,IAAA;AAAA;EACA,IAAA;EAAmB,IAAA;EAAc,OAAA;AAAA;EACjC,IAAA;EAAuB,WAAA;AAAA;AAAA,UAEZ,qBAAA;EACf,SAAA;EACA,YAAA;AAAA;AAAA,cAMW,qBAAA;EAAA,QACH,MAAA;EAAA,QACA,MAAA;EAAA,QACA,KAAA;EAAA,iBACS,SAAA;EAAA,iBACA,YAAA;cAEL,IAAA,GAAM,qBAAA;EAAA,IAKd,SAAA,CAAA;EAAA,IACA,aAAA,CAAA;EAEJ,IAAA,CAAK,KAAA,WAAgB,UAAA;EA6CrB,QAAA,CAAA,GAAY,UAAA;EASZ,KAAA,CAAA;EACA,OAAA,CAAA;EAAA,QAEQ,UAAA;EAAA,QAKA,UAAA;EAAA,QAIA,aAAA;AAAA;;;;;;;;;;;UC9FO,iBAAA;EACf,IAAA;EACA,IAAA;EACA,KAAA;EACA,GAAA;EACA,IAAA;EACA,QAAA;AAAA;AAAA,iBAWc,gBAAA,CAAiB,GAAA,WAAc,iBAAA;;;iBC6C/B,aAAA,CAAc,IAAA,UAAc,GAAA,iBAAoB,EAAA;AAAA,iBAOhD,YAAA,CAAa,IAAA,UAAc,QAAA,UAAkB,IAAA,WAAe,GAAA;AAAA,iBAO5D,UAAA,CAAW,IAAA,UAAc,SAAA;AAAA,iBAKzB,kBAAA,CAAmB,SAAA;AAAA,iBA+BnB,cAAA,CAAA;AAAA,iBAGA,YAAA,CAAA;AAAA,iBAIA,aAAA,GAAA,CAAiB,EAAA,QAAU,CAAA,GAAI,CAAA;;;;;;;;;;;;;AP9G/C;;iBQDgB,kBAAA,CAAmB,CAAA;;iBAKnB,eAAA,CAAgB,MAAA,EAAQ,MAAA,CAAO,WAAA,GAAc,MAAA,CAAO,WAAA;;iBAmBpD,qBAAA,CAAsB,GAAA,GAAK,MAAA,CAAO,UAAA;;;KCGtC,iBAAA;AAAA,KACA,UAAA;AAAA,UAEK,oBAAA;;EAEf,IAAA;;EAEA,OAAA;;;EAGA,OAAA;ETpCU;ESsCV,MAAA;IAAW,CAAA;IAAW,CAAA;EAAA;;EAEtB,IAAA,GAAO,iBAAA;;EAEP,IAAA,GAAO,UAAA;AAAA;;cAaI,YAAA,GAAgB,CAAA;;ARjD7B;;;;;;iBQ4DgB,WAAA,CAAY,IAAA,UAAc,KAAA,UAAe,MAAA,GAAQ,UAAA;;iBASjD,YAAA,CACd,KAAA,qBACA,KAAA,UACA,MAAA,GAAQ,UAAA;;;;;iBAiDM,qBAAA,CACd,KAAA,qBACA,IAAA,EAAM,oBAAA;;iBAoBQ,aAAA,CACd,GAAA,EAAK,MAAA,CAAO,WAAA,EACZ,KAAA,qBACA,IAAA,EAAM,oBAAA;;iBAOQ,cAAA,CAAe,GAAA,GAAK,MAAA,CAAO,UAAA,GAA2B,iBAAA;;;;iBC5JtD,oBAAA,CAAqB,CAAA;;iBAKrB,qBAAA,CAAsB,MAAA,EAAQ,MAAA,CAAO,WAAA,GAAc,MAAA,CAAO,WAAA;;;;;;;;iBCA1D,WAAA,CAAY,GAAA;AAAA,cA2Hf,YAAA;EAAA,SACF,IAAA;EAAA,SACA,OAAA;EAAA,SACA,KAAA;EAAA,QACD,UAAA;EAAA,QACA,WAAA;cAEI,IAAA,UAAc,OAAA;EAAA,IAOtB,YAAA,CAAA,GAAgB,KAAA;IAAQ,OAAA;IAAiB,KAAA;EAAA;EAAA,IAKzC,UAAA,CAAA;EAAA,IAYA,SAAA,CAAA;EAIJ,eAAA,CAAgB,MAAA;IAAmB,IAAA;IAAc,GAAA;EAAA;EAYjD,eAAA,CAAgB,IAAA,UAAc,GAAA;AAAA;AAAA,cAiBnB,MAAA;EAAA,SACF,YAAA,EAAc,YAAA;EAAA,SACd,MAAA;;AP1KX;;;;WOgLW,SAAA;EAAA,QAEF,WAAA,CAAA;EAAA,OAMA,QAAA,CAAS,IAAA,UAAc,OAAA,UAAiB,MAAA,WAAY,SAAA,YAAqB,MAAA;EAAA,OAMzE,UAAA,CAAW,MAAA,EAAQ,MAAA,EAAQ,OAAA,YAAmB,MAAA;EAAA,IAQjD,IAAA,CAAA;EAAA,IAGA,OAAA,CAAA;EAAA,IAGA,QAAA,CAAA;IAAc,IAAA;IAAc,GAAA;EAAA;EAAA,IAG5B,YAAA,CAAA;EAIJ,MAAA,CAAO,KAAA,EAAO,MAAA;EAId,KAAA,CAAA,GAAS,MAAA;EAUT,IAAA,CAAA,GAAQ,MAAA;EAYR,EAAA,CAAA,GAAM,MAAA;EAON,IAAA,CAAA,GAAQ,MAAA;EAOR,QAAA,CAAA,GAAY,MAAA;EAQZ,QAAA,CAAA,GAAY,MAAA;EAOZ,MAAA,CAAO,KAAA,WAAgB,MAAA;EAMvB,SAAA,CAAA,GAAa,MAAA;EAwBb,MAAA,CAAA,GAAU,MAAA;EAOV,aAAA,CAAA;IAAmB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EAUnC,eAAA,CAAA;IAAqB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EAgBrC,cAAA,CAAA;IAAoB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EN3VnB;;;;EM8WjB,QAAA,CAAA,GAAY,MAAA;ENtWR;EM6WJ,SAAA,CAAA,GAAa,MAAA;EN3WR;;;;;EMsXL,aAAA,CAAA;IAAmB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;EAAA,QAc3B,MAAA;ENlUa;EAAA,IMuUjB,cAAA,CAAA;IAAoB,KAAA;IAAe,GAAA;EAAA;EAKvC,UAAA,CAAA,GAAc,MAAA;EAId,WAAA,CAAA,GAAe,MAAA;EAIf,cAAA,CAAA,GAAkB,MAAA;EAIlB,eAAA,CAAA,GAAmB,MAAA;EAInB,iBAAA,CAAA,GAAqB,MAAA;EAIrB,eAAA,CAAA,GAAmB,MAAA;EAInB,aAAA,CAAA,GAAiB,MAAA;EAIjB,WAAA,CAAA,GAAe,MAAA;ELhcf;EKscA,cAAA,CAAA,GAAkB,MAAA;ELtcV;AAWV;;;EKmcE,eAAA,CAAA;IAAqB,MAAA,EAAQ,MAAA;IAAQ,MAAA;EAAA;;EASrC,gBAAA,CAAiB,GAAA,WAAc,MAAA;EAO/B,UAAA,CAAW,GAAA,UAAa,GAAA,YAAW,MAAA;EAKnC,iBAAA,CAAA,GAAqB,MAAA;EAKrB,oBAAA,CAAqB,UAAA;EAMrB,KAAA,CAAA,GAAS,MAAA;EAGT,OAAA,CAAA,GAAW,MAAA;EAIX,WAAA,CAAA,GAAe,MAAA;EAOf,SAAA,CAAA,GAAa,MAAA;AAAA;;;UChgBE,YAAA;EACf,IAAA;EACA,IAAA;EACA,KAAA;EACA,GAAA;EACA,IAAA;AAAA;AAAA,KAGU,UAAA;AAAA,UAkCK,UAAA;EACf,MAAA,EAAQ,MAAA;EACR,MAAA,EAAQ,UAAA;EACR,MAAA;AAAA;AAAA,iBAWc,gBAAA,CAAiB,MAAA,EAAQ,MAAA,EAAQ,GAAA,EAAK,YAAA,GAAe,UAAA;AAAA,iBA+MrD,kBAAA,CAAA;AAAA,iBAGA,aAAA,CAAA;AAAA,iBAwBA,wBAAA,CAAyB,MAAA,EAAQ,MAAA,EAAQ,GAAA,EAAK,YAAA,GAAe,UAAA;AAAA,iBAuH7D,iBAAA,CAAkB,MAAA,EAAQ,MAAA;AAAA,iBAI1B,gBAAA,CACd,MAAA,EAAQ,MAAA,EACR,UAAA;EACG,SAAA;EAAmB,OAAA;EAAiB,YAAA;EAAwB,UAAA;AAAA;;;;;;;;;;;;;AZzZjE;;;;;;;;UaCiB,WAAA;EACf,IAAA;EACA,MAAA;EACA,SAAA;AAAA;AAAA,UAGe,WAAA;EACf,QAAA,CAAS,KAAA;IAAS,IAAA;IAAc,MAAA;EAAA;EAChC,IAAA,IAAQ,WAAA;EAAA,SACC,KAAA;EACT,KAAA;AAAA;AAAA,iBAMc,iBAAA,CAAkB,OAAA,YAAwB,WAAA;;;UChBzC,WAAA;EACf,KAAA;EACA,UAAA;EACA,QAAA;;EAEA,eAAA,GAAkB,cAAA;AAAA;AAAA,UAGH,YAAA;EACf,IAAA,CAAK,KAAA;EACL,UAAA,CAAW,YAAA;EACX,YAAA;EACA,WAAA,CAAY,KAAA;EACZ,MAAA,CAAO,KAAA,WAAgB,WAAA;EACvB,YAAA,CAAa,KAAA;EACb,YAAA;EACA,eAAA;EAAA,SACS,IAAA;EbVR;;;;;EAAA,SagBQ,QAAA;IAAY,QAAA;IAAkB,KAAA;EAAA;;EAEvC,MAAA;EACA,KAAA;AAAA;AAAA,UAGe,yBAAA;EACf,OAAA;EACA,cAAA;AAAA;AAAA,iBA2Cc,kBAAA,CAAmB,OAAA,GAAS,yBAAA,GAAiC,YAAA;;;KChEjE,SAAA;AAAA,UAEK,cAAA;EACf,KAAA;EACA,MAAA;EACA,OAAA;EACA,IAAA,GAAO,SAAA;EACP,WAAA;EACA,eAAA;EdZM;EccN,OAAA;EdbC;EceD,QAAA;EdfQ;EciBR,IAAA;EdlBA;;;;EcuBA,QAAA;;EAEA,WAAA;;Ab9BF;;EakCE,eAAA,GAAkB,WAAA;EblCa;;;EasC/B,YAAA,GAAe,KAAA,CAAM,GAAA,CAAI,UAAA;;AZ7C3B;;;EYkDE,SAAA;EZjDA;;;;;AAKF;;;;EYsDE,cAAA;EZpDC;;EYuDD,WAAA;AAAA;AAAA,cAuQW,SAAA,EAAS,KAAA,CAAA,mBAAA;EAAA,KAAA;EAAA,MAAA;EAAA,OAAA;EAAA,IAAA;EAAA,WAAA;EAAA,eAAA;EAAA,OAAA,EAAA,WAAA;EAAA,QAAA;EAAA,IAAA;EAAA,QAAA;EAAA,WAAA;EAAA,eAAA;EAAA,YAAA;EAAA,cAAA;EAAA,WAAA;EAAA;AAAA,GAiBnB,cAAA,KAAiB,KAAA,CAAM,YAAA;;;;;;;;;;;;AflV1B;;;iBgBJgB,qBAAA,CAAsB,GAAA,EAAK,GAAA;;iBAQ3B,UAAA,CAAW,OAAA,UAAiB,IAAA,UAAc,KAAA;;;KCV9C,WAAA;AAAA,UAEK,cAAA;;EAEf,UAAA;EjBE2B;EiBA3B,kBAAA,GAAqB,IAAA;;;AhBLvB;;;EgBWE,kBAAA,IAAsB,IAAA;AAAA;AhBAxB;AAAA,iBgBIgB,gBAAA,CAAiB,IAAA,UAAc,IAAA,EAAM,UAAA;;;;;;;;;;;;;;;cAqBxC,mBAAA;Af7Bb;;;;;AAAA,ceoCa,yBAAA;;;Ad3Cb;;;;;;;iBcsDgB,gBAAA,CAAiB,IAAA,UAAc,IAAA,EAAM,UAAA;;AdhDrD;;;;;;;;;;;;iBcoEgB,mBAAA,CAAoB,IAAA,UAAc,IAAA,EAAM,UAAA,EAAY,UAAA;;;;;;;AZ9EpE;iBYqGgB,aAAA,CAAc,UAAA,WAAqB,aAAA;AAAA,iBA0BnC,WAAA,CACd,IAAA,UACA,IAAA,EAAM,UAAA,EACN,KAAA,WACA,GAAA,EAAK,cAAA,GACJ,WAAA;;;UC7Ic,YAAA;EACf,OAAA;;EAEA,SAAA;EACA,MAAA;AAAA;AAAA,UAGe,aAAA;EAAA,SACN,EAAA;EACT,IAAA,IAAQ,OAAA,UAAiB,YAAA;AAAA;AAAA,UAGV,qBAAA;ElBMY;EkBJ3B,WAAA;EACA,UAAA,aAAuB,YAAA;AAAA;;;;cCdZ,0BAAA,WAAqC,MAAA;AAAA,iBAOlC,kBAAA,CACd,OAAA,UACA,QAAA,YAAmB,MAAA;;;cCPR,mBAAA;AAAA,UAMI,sBAAA;EACf,MAAA;EACA,iBAAA,YAA6B,MAAA;;EAE7B,eAAA;AAAA;;iBAoCc,eAAA,CACd,OAAA,UACA,OAAA,GAAS,sBAAA,GACR,YAAA;AAAA,iBAyDa,gBAAA,CAAiB,OAAA;;;cCzGpB,oBAAA;AAAA,UAEI,uBAAA;EACf,MAAA;EACA,iBAAA,YAA6B,MAAA;EAC7B,eAAA;AAAA;;;;iBAMc,gBAAA,CACd,OAAA,UACA,OAAA,GAAS,uBAAA,GACR,YAAA;;;cCdU,oBAAA;AAAA,UAEI,uBAAA;EACf,MAAA;EACA,iBAAA,YAA6B,MAAA;EAC7B,eAAA;AAAA;;iBAIc,gBAAA,CACd,OAAA,UACA,OAAA,GAAS,uBAAA,GACR,YAAA;;;cCbU,mBAAA;AAAA,UAMI,mBAAA;;EAEf,iBAAA;AAAA;;iBAIc,mBAAA,CACd,mBAAA,qBACA,eAAA,WAA0B,YAAA,IAC1B,OAAA,GAAS,mBAAA,GACR,YAAA;AAAA,iBA4Ca,iBAAA,CAAkB,OAAA,WAAkB,YAAA;AAAA,iBAIpC,2BAAA,CACd,mBAAA,qBACA,eAAA,WAA0B,YAAA,IAC1B,OAAA,GAAU,mBAAA,GACT,qBAAA;;;UC1Bc,cAAA;;EAEf,KAAA,EAAO,WAAA;EvBlCmC;EuBoC1C,YAAA;EvBlCA;EuBoCA,QAAA,EAAU,mBAAA;EvB3BI;EuB6Bd,MAAA;;EAEA,IAAA;EvB7BS;EuB+BT,OAAA;EvB/BQ;;;;EuBoCR,aAAA;EvBpCS;EuBsCT,QAAA,GAAW,KAAA,EAAO,UAAA;EvBtCQ;EuBwC1B,OAAA,GAAU,IAAA;IAAQ,WAAA;EAAA;EtB9CR;;;;EsBmDV,KAAA;;EAEA,aAAA,IAAiB,KAAA;;ArB5DnB;;;;;;EqBoEE,eAAA,IAAmB,IAAA,aAAiB,OAAA;IAAU,OAAA;IAAiB,SAAA;EAAA;ErB9DtB;;;;;;;;EqBuEzC,aAAA,GAAgB,UAAA;AAAA;AAAA,iBAqFF,SAAA,CAAA;EACd,KAAA;EACA,YAAA;EACA,QAAA;EACA,MAAA;EACA,IAAA;EACA,OAAA;EACA,aAAA;EACA,QAAA;EACA,OAAA;EACA,aAAA;EACA,eAAA;EACA,aAAA;EACA;AAAA,GAAS,cAAA,GAAiB,KAAA,CAAM,YAAA;;;;;;;;;;;;;AxB1KlC;;iByBLgB,kBAAA,CAAmB,IAAA;AAAA,UAalB,iBAAA;EzBRY;EyBU3B,IAAA;;EAEA,YAAA;ExBjBe;EwBmBf,GAAA;AAAA;AAAA,UAGe,WAAA;EACf,IAAA;ExBZc;EwBcd,IAAA;AAAA;AAAA,UAGe,kBAAA;ExBfN;EwBiBT,MAAA,EAAQ,WAAA;ExBjBA;EwBmBR,IAAA;ExBpBM;EwBsBN,KAAA,EAAO,iBAAA;AAAA;AAAA,iBAGO,gBAAA,CAAA,GAAoB,iBAAA;;;;;iBAQpB,gBAAA,CAAiB,CAAA,EAAG,iBAAA,EAAmB,CAAA,WAAY,kBAAA;;;cCtCtD,kBAAA;AAAA,UAEI,SAAA;;EAEf,IAAA,CAAK,CAAA,UAAW,SAAA;EzBX0B;EyBa1C,MAAA;AAAA;AAAA,iBAGc,aAAA,CACd,KAAA,GAAQ,CAAA,mBACR,UAAA,YACC,SAAA;;;;;;;KC5BS,UAAA;AAAA,UAEK,UAAA;EACf,OAAA;;EAEA,iBAAA;EACA,QAAA;EACA,GAAA,CAAI,UAAA,UAAoB,QAAA;EACxB,QAAA;EAAA,SACS,KAAA,EAAO,UAAA;EAAA,SACP,UAAA;EAAA,SACA,SAAA;EACT,SAAA,CAAU,QAAA;EACV,KAAA;AAAA;AAAA,iBAGc,gBAAA,CAAA,GAAoB,UAAA;;;UCbnB,cAAA;EAAiB,IAAA;EAAmB,QAAA,EAAU,gBAAA;EAAoB,OAAA;EAAiB,SAAA;AAAA;AAAA,KACxF,kBAAA,GAAqB,gBAAA,GAAmB,cAAA;AAAA,iBAOpC,gBAAA,CAAiB,IAAA,EAAM,gBAAA,IAAoB,SAAA,YAAgB,kBAAA;AAAA,iBAuB3D,cAAA,CAAe,KAAA,EAAO,cAAA,GAAiB,cAAA;AAAA,iBACvC,eAAA,CAAgB,IAAA,EAAM,kBAAA,KAAuB,gBAAA;;;UCzB5C,YAAA;EACf,OAAA,EAAS,WAAA;EACT,OAAA;AAAA;AAAA,iBAGO,WAAA,CAAA;EAAc,OAAA;EAAS;AAAA,GAAgB,YAAA,GAAe,KAAA,CAAM,YAAA;AAAA,cAUxD,OAAA,EAAO,KAAA,CAAA,mBAAA,QAAA,WAAA;;;UCXH,WAAA;;EAEf,MAAA;;EAEA,UAAA;;;;;A9BJF;;;;;;;;ACLA;;;;E6B0BE,eAAA;AAAA;AAAA,UAGe,WAAA;EACf,KAAA,EAAO,KAAA,CAAM,WAAA;E7BlBP;E6BoBN,QAAA,CAAS,KAAA;E7BnBR;E6BqBD,IAAA,CAAK,GAAA,UAAa,IAAA;E7BrBV;E6BuBR,KAAA;E7BxBA;E6B0BA,QAAA;E7BzBS;E6B2BT,SAAA,CAAU,CAAA;E7B3BgB;E6B6B1B,aAAA,CAAc,CAAA;;EAEd,kBAAA,CAAmB,CAAA;E5BrCT;;;;;E4B2CV,aAAA,CAAc,OAAA,GAAU,KAAA;;EAExB,aAAA,CAAc,KAAA;AAAA;;;UChCC,WAAA;EACf,aAAA;EACA,iBAAA;EACA,YAAA,EAAc,iBAAA;;EAEd,QAAA;EACA,WAAA;EACA,oBAAA;EACA,eAAA;EACA,aAAA;EACA,YAAA;EACA,kBAAA;EACA,uBAAA;EACA,UAAA;EACA,UAAA;AAAA;AAAA,UAqBe,WAAA;EACf,KAAA,EAAO,KAAA,CAAM,WAAA;;EAEb,KAAA;AAAA;;;UC5Ce,eAAA;EACf,WAAA,EAAa,WAAA;EACb,iBAAA,EAAmB,WAAA;EACnB,OAAA;EACA,IAAA;EACA,cAAA;EACA,YAAA;E/BTc;E+BWd,WAAA;IAAgB,IAAA;IAAc,IAAA;EAAA;E/BT7B;;;E+BaD,cAAA;E/BdA;E+BgBA,aAAA;IAA2B,IAAA;IAAc,EAAA;EAAA;;;EAGzC,UAAA;E9BxBU;E8B0BV,WAAA,EAAa,WAAA;;EAEb,cAAA;EACA,YAAA;EACA,aAAA;EACA,SAAA,IAAa,UAAA;;EAEb,SAAA;EACA,eAAA;EACA,gBAAA,IAAoB,MAAA;EACpB,iBAAA,IAAqB,KAAA;EACrB,kBAAA,IAAsB,IAAA;EACtB,gBAAA;E7B1CA;;;AAGF;E6B4CE,iBAAA,GAAoB,iBAAA;;EAEpB,eAAA;E7B5CS;E6B8CT,cAAA;AAAA;AAAA,iBA0Cc,UAAA,CAAA;EACd,WAAA;EACA,iBAAA;EACA,OAAA;EACA,IAAA;EACA,cAAA;EACA,YAAA;EACA,WAAA;EACA,cAAA;EACA,aAAA;EACA,UAAA;EACA,WAAA;EACA,cAAA;EACA,YAAA;EACA,aAAA;EACA,SAAA;EACA,SAAA;EACA,eAAA;EACA,gBAAA;EACA,iBAAA;EACA,kBAAA;EACA,gBAAA;EACA,iBAAA;EACA,eAAA;EACA;AAAA,GACC,eAAA,GAAkB,KAAA,CAAM,YAAA;;;;;;UCnIV,YAAA;EACf,IAAA;EACA,OAAA;EACA,OAAA;EACA,OAAA;EACA,YAAA,GAAe,KAAA;IAAQ,IAAA;IAAc,OAAA;EAAA;AAAA;AAAA,UAGtB,QAAA;EACf,MAAA;EACA,KAAA,EAAO,YAAA;AAAA;;;;A/BOT;;iBgC2bgB,kBAAA,CAAmB,OAAA,WAAkB,OAAA;;;UCzbpC,uBAAA;;EAEf,QAAA;;EAEA,QAAA;;EAEA,WAAA;;EAEA,iBAAA;EnCZ2B;EmCc3B,eAAA;EnCd2B;EmCgB3B,QAAA;;EAEA,SAAA;;EAEA,IAAA;ElCzB0C;EkC2B1C,UAAA;ElCzBA;EkC2BA,gBAAA;ElClBc;EkCoBd,WAAA;;EAEA,YAAA;ElCpBS;EkCsBT,UAAA;ElCtBQ;EkCwBR,WAAA;ElCzBM;EkC2BN,gBAAA;ElC1BC;EkC4BD,SAAA;ElC5B0B;EkC8B1B,EAAA;;EAEA,UAAA;;EAEA,SAAA;EjCxC+B;EiC0C/B,SAAA;EjC1C+B;EiC4C/B,WAAA;AAAA;AAAA,iBAsFc,6BAAA,CAA8B,SAAA,EAAW,sBAAA;AAAA,iBAIzC,6BAAA,CAAA,GAAiC,sBAAA;;;;;;;iBCpGjC,YAAA,CAAa,IAAA,UAAc,KAAA,YAAe,UAAA,GAAY,uBAAA;;;;;iBAgStD,qBAAA,CACd,IAAA,UACA,OAAA,WACA,UAAA,GAAY,uBAAA;;;;;ApCvUd;;;;;;;;ACLA;iBoC0CgB,oBAAA,CAAqB,QAAA,EAAU,WAAA,IAAe,aAAA;;;;UChD7C,WAAA;EACf,KAAA;EACA,KAAA;AAAA;AAAA,KAGU,aAAA,GAAgB,WAAA;;;;;iBAMZ,mBAAA,CAAoB,OAAA,WAAkB,aAAA;;;UCiCrC,eAAA;EACf,KAAA;EACA,QAAA;EtC3BS;EsC6BT,MAAA;EtC7BQ;EsC+BR,MAAA;EtChCM;;;;EsCqCN,MAAA;EtCpC0B;EsCsC1B,aAAA;;EAEA,aAAA;ErC9CU;EqCgDV,UAAA;EACA,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;iBAIF,UAAA,CAAW,MAAA,EAAQ,eAAA;AAAA,kBAAnB,UAAA;EAAA,IAAU,WAAA;AAAA;AAAA,UAKT,gBAAA;EACf,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;iBAIF,WAAA,CAAY,MAAA,EAAQ,gBAAA;AAAA,kBAApB,WAAA;EAAA,IAAW,WAAA;AAAA;AAAA,UAKV,gBAAA;EACf,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;iBAIF,WAAA,CAAY,MAAA,EAAQ,gBAAA;AAAA,kBAApB,WAAA;EAAA,IAAW,WAAA;AAAA;;iBAMX,eAAA,CAAA;AAAA,kBAAA,eAAA;EAAA,IAAe,WAAA;AAAA;;iBAMf,aAAA,CAAA;EAAgB;AAAA;EAAc,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA,IAAc,KAAA,CAAM,YAAA;AAAA,kBAAlE,aAAA;EAAA,IAAa,WAAA;AAAA;;iBAMb,aAAA,CAAc,MAAA;EAAU,QAAA,GAAW,KAAA,CAAM,SAAA;AAAA;AAAA,kBAAzC,aAAA;EAAA,IAAa,WAAA;AAAA;AAAA,UAkFZ,eAAA;ElCxLK;EkC0LpB,KAAA;ElCxLI;EkC0LJ,QAAA;ElC1LqC;;;;;AAGvC;;EkC+LE,YAAA;IAAiB,IAAA;IAAc,KAAA;IAAe,OAAA;EAAA;;EAE9C,YAAA;ElC1KqB;EkC4KrB,aAAA,IAAiB,KAAA;ElC/HK;EkCiItB,QAAA;ElC5LQ;EkC8LR,UAAA;ElC5LQ;EkC8LR,MAAA,GAAS,KAAA,CAAM,SAAA;ElC5LE;EkC8LjB,MAAA;ElC5LkB;;;;;EkCkMlB,KAAA,IAAS,KAAA,UAAe,GAAA,EAAK,GAAA,EAAK,QAAA,EAAU,YAAA;ElC1LvB;;;;;EkCgMrB,KAAA;ElClIQ;;;;;EkCwIR,kBAAA;;EAEA,IAAA;EjCpOgC;;;;;;EiC2OhC,qBAAA;EjCtOA;;;;AAYF;;EiCiOE,eAAA;EACA,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;AAAA,iBAGF,UAAA,CAAA;EACd,KAAA;EACA,QAAA;EACA,YAAA;EACA,YAAA;EACA,aAAA;EACA,QAAA;EACA,UAAA;EACA,MAAA;EACA,MAAA;EACA,KAAA;EACA,KAAA;EACA,kBAAA;EACA,IAAA;EACA,qBAAA;EACA,eAAA;EACA;AAAA,GAAY,eAAA,GAAkB,KAAA,CAAM,YAAA;;cAuTzB,MAAA;;;;;;;;;;;UCtjBI,qBAAA;EACf,IAAA;EACA,KAAA;EACA,IAAA;EACA,SAAA,GAAY,IAAA;EACZ,MAAA;AAAA;AAAA,iBAKc,gBAAA,CAAA;EACd,IAAA;EACA,KAAA;EACA,IAAA;EACA,SAAA;EACA;AAAA,GACC,qBAAA,GAAwB,KAAA,CAAM,YAAA;;;UCNhB,yBAAA;EACf,OAAA;EACA,IAAA;;EAEA,WAAA;ExCjB0C;EwCmB1C,gBAAA;EACA,SAAA,GAAY,IAAA;EACZ,MAAA;AAAA;AAAA,iBAec,oBAAA,CAAA;EACd,OAAA;EACA,IAAA;EACA,WAAA;EACA,gBAAA;EACA,SAAA;EACA;AAAA,GACC,yBAAA,GAA4B,KAAA,CAAM,YAAA;;;UCpCpB,gBAAA;EACf,KAAA;E1CH2B;E0CK3B,OAAA;E1CL2B;E0CO3B,OAAA;EACA,IAAA;AAAA;AAAA,iBAGc,WAAA,CAAA;EACd,KAAA;EACA,OAAA;EACA,OAAA;EACA;AAAA,GACC,gBAAA,GAAmB,KAAA,CAAM,YAAA;;;UCVX,iBAAA;EACf,KAAA;;EAEA,OAAA;E3CT2B;E2CW3B,WAAA;;EAEA,YAAA;E1ClBe;E0CoBf,WAAA;;EAEA,WAAA;E1ClBQ;E0CoBR,OAAA;EACA,QAAA,GAAW,KAAA;EACX,QAAA;AAAA;AAAA,iBAGc,YAAA,CAAA;EACd,KAAA;EACA,OAAA;EACA,WAAA;EACA,YAAA;EACA,WAAA;EACA,WAAA;EACA,OAAA;EACA,QAAA;EACA;AAAA,GAAY,iBAAA,GAAoB,KAAA,CAAM,YAAA;;;;;UClCvB,kBAAA;EACf,KAAA;EACA,QAAA;EACA,aAAA;EACA,OAAA;AAAA;;UAIe,kBAAA;EACf,cAAA;EACA,cAAA;EACA,cAAA;EACA,UAAA;EACA,aAAA;EACA,KAAA;AAAA;A3ClBF;;;;;AAAA,K2C0BY,kBAAA,GAAkB,sBAAA,CAAiC,sBAAA;AAAA,UAE9C,aAAA;EACf,MAAA,EAAQ,kBAAA;E3CjBF;E2CmBN,aAAA;E3ClBC;E2CoBD,MAAA,EAAQ,kBAAA;E3CpBA;;;;;;E2C2BR,cAAA;;;;A1CjCF;;E0CuCE,aAAA,EAAe,kBAAA;AAAA;AAAA,UAGA,SAAA;EACf,KAAA,EAAO,KAAA,CAAM,aAAA;;;AzClDf;EyCsDE,KAAA;;EAEA,SAAA,CAAU,QAAA,EAAU,kBAAA;EzCvDpB;EyCyDA,SAAA,CAAU,QAAA,EAAU,kBAAA;EzCvDpB;EyCyDA,iBAAA,CAAkB,KAAA;EzCzDV;EyC2DR,gBAAA,CAAiB,OAAA,EAAS,kBAAA;AAAA;;;UC1DX,kBAAA;;EAEf,EAAA;EACA,SAAA;EACA,IAAA;;EAEA,MAAA;;EAEA,KAAA;E7CP2B;E6CS3B,OAAA;E7CT2B;E6CW3B,WAAA;;EAEA,WAAA;;EAEA,YAAA;AAAA;AAAA,UAGe,kBAAA;EACf,OAAA,EAAS,kBAAA;AAAA;AAAA,UAGM,kBAAA;EACf,KAAA,EAAO,KAAA,CAAM,kBAAA;;EAEb,gBAAA,CAAiB,MAAA,UAAgB,KAAA,UAAe,OAAA;E5CjBvC;E4CmBT,WAAA,CAAY,WAAA,UAAqB,WAAA;E5CnBzB;E4CqBR,mBAAA,CAAoB,YAAA;AAAA;;;UChCL,YAAA;EACf,aAAA;EACA,SAAA;EACA,YAAA;AAAA;AAAA,UAGe,YAAA;EACf,KAAA,EAAO,KAAA,CAAM,YAAA;EACb,KAAA;EACA,gBAAA,CAAiB,CAAA;EACjB,YAAA,CAAa,CAAA;EACb,eAAA,CAAgB,CAAA;AAAA;;;UCFD,cAAA;EACf,OAAA;EACA,MAAA;EACA,MAAA;EACA,QAAA;E9Cf0C;E8CiB1C,UAAA;AAAA;;;UCDe,QAAA;EACf,OAAA;E/CJQ;E+CMR,IAAA;E/CPA;;E+CUA,aAAA,IAAiB,KAAA,GAAQ,IAAA;E/CTC;E+CW1B,cAAA;;EAEA,UAAA;;EAEA,UAAA;E9CrB+B;;E8CwB/B,cAAA;E9CxB+B;E8C0B/B,MAAA;;EAEA,WAAA,GAAc,WAAA;E7CnCC;E6CqCf,WAAA,IAAe,GAAA;IAAO,KAAA;EAAA,MAAoB,OAAA,CAAQ,WAAA;E7CpClD;E6CsCA,YAAA,GAAe,YAAA;EACf,QAAA,GAAW,WAAA;E7CrCH;E6C+CR,QAAA,GAAW,IAAA;E7C5CG;E6C8Cd,WAAA;;;;;;EAMA,aAAA,GARe,aAAA;E7C3CT;;;;E6CwDN,eAAA,GAL+C,oBAAA;E7ClDjB;;;;ACwBhC;E4CqCE,mBAAA,GAAsB,MAAA,SANkC,mBAAA;;EAQxD,qBAAA;EACA,IAAA;;;EAGA,WAAA,GAAc,mBAAA;E3C/EJ;;;;;;;;E2CwFV,eAAA,IAAmB,IAAA,aAAiB,OAAA;IAAU,OAAA;IAAiB,SAAA;EAAA;E3CnFhD;;;;;E2CyFf,oBAAA,IACE,IAAA,UACA,SAAA,EAAW,eAAA,kBACR,OAAA;IAAU,UAAA;IAAqB,UAAA;IAAqB,KAAA;EAAA;E3CxB7C;E2C0BZ,eAAA,IAAmB,IAAA,aAAiB,WAAA;E3C1Bd;E2C4BtB,eAAA;E3CtFQ;E2CwFR,mBAAA;E3CtFiB;E2CwFjB,aAAA;;EAEA,iBAAA;E3CvFY;E2CyFZ,YAAA;E3CnFI;E2CqFJ,gBAAA;E3CnFK;E2CqFL,SAAA;E3CxCA;E2C0CA,iBAAA;E3CjCA;E2CmCA,WAAA,IAAe,IAAA;E3ChCP;;E2CmCR,aAAA,IAAiB,KAAA,EArB8B,UAAA;E3CL1B;E2C4BrB,aAAA,IAAiB,KAAA;;EAEjB,iBAAA,IAAqB,GAAA;;EAErB,SAAA;E1C9HgC;E0CgIhC,iBAAA;E1ChIgC;E0CkIhC,eAAA;E1ChIA;E0CkIA,aAAA,IAAiB,KAAA;E1ChIjB;E0CkIA,WAAA,IAAe,KAAA,UAAe,KAAA;E1ChI9B;E0CkIA,eAAA,IAAmB,KAAA,UAAe,IAAA;E1ClI1B;AAWV;E0C0HE,cAAA,IAAkB,KAAA,UAAe,IAAA;;EAEjC,cAAA;E1C5H8D;E0C8H9D,uBAAA;;EAEA,aAAA,IAAiB,OAAA;EzCnFH;;EyCsFd,iBAAA,GAAoB,yBAAA;EzCtFO;;;;;;AAO7B;EyCuFE,uBAAA,IAA2B,KAAA;;;;;;EAM3B,mBAAA,IAAuB,OAAA,EAAS,OAAA,CAAQ,eAAA;EzC7F8C;EyC+FtF,mBAAA;EzCxFc;EyC0Fd,iBAAA;;EAEA,iBAAA;EzC5FiE;EyC8FjE,gBAAA,IAAoB,EAAA;EzCzFY;EyC2FhC,sBAAA,IAA0B,EAAA;EzC3FO;EyC6FjC,uBAAA;EzC9Dc;EyCgEd,iBAAA,IAAqB,EAAA;;EAErB,kBAAA,IAAsB,EAAA;EzClEM;EyCoE5B,kBAAA,IAAsB,EAAA;EzCjEI;EyCmE1B,qBAAA;EzCnE0B;;EyCsE1B,wBAAA,IAA4B,MAAA;EzClED;;;;;;;;;;;;EyC+E3B,kBAAA,IAAsB,KAAA,EApCiB,UAAA;ExC1JP;;;;AAKlC;EwC+LE,oBAAA,IAAwB,MAAA;;EAExB,gBAAA,IAAoB,EAAA,UAAY,IAAA;ExCjMM;;;;EwCsMtC,WAAA;ExCtM6E;EwCwM7E,OAAA;IACE,OAAA;IACA,OAAA;IACA,GAAA,WxCxLsE;IwC0LtE,QAAA;IACA,eAAA;MAAoB,MAAA;MAAgB,OAAA;MAAiB,KAAA;MAAgB,MAAA;IAAA;IACrE,OAAA;MAAY,SAAA;MAAmB,IAAA;MAAc,QAAA;IAAA;EAAA;EvCxLrC;;;;;AAEZ;;;EuCgME,iBAAA;EvC9LA;EuCgMA,eAAA,IAAmB,EAAA;EvC3LnB;EuC6LA,mBAAA,IAAuB,WAAA;EvC3LZ;EuC6LX,kCAAA;EvC3LA;EuC6LA,WAAA,GAAc,WAAA;EACd,YAAA,GAAe,YAAA;EvC5LR;;EuC+LP,iBAAA,GAAoB,iBAAA;EvClLT;EuCoLX,SAAA,GAAY,SAAA;;EAEZ,WAAA,GAAc,WAAA;EvCtLsB;EuCwLpC,UAAA,GAAa,UAAA;EvC7KY;EuC+KzB,UAAA,GAAa,UAAA;EvC/KoE;EuCiLjF,SAAA;EvCjLwC;EuCmLxC,cAAA;EvCnLuD;;;AASzD;EuC+KE,gBAAA;IAAA,CACG,GAAA,EAAK,iBAAA,GAAoB,OAAA;IAAA,CACzB,GAAA,EAAK,gBAAA;EAAA;EvC/KR;EuCkLA,gBAAA,IAAoB,GAAA;EvCjLpB;EuCmLA,oBAAA;EvCnL0B;EuCqL1B,YAAA;EvCpImC;EuCsInC,WAAA;EvCpI0B;EuCsI1B,kBAAA,GAAqB,kBAAA;EvCtIf;EuCwIN,YAAA,GAAe,YAAA;EvCxIW;;AAoB5B;;;;EuC2HE,WAAA,GAAc,WAAA;EACd,SAAA,GAAY,SAAA;EvC3HZ;EuC8HA,eAAA;EvC5HM;EuC8HN,QAAA,IAAY,IAAA,UAAc,IAAA,EAAM,UAAA,EAAY,KAAA;EAC5C,WAAA;EvC/H0B;EuCiI1B,WAAA;EACA,oBAAA,IAAwB,EAAA,UAAY,QAAA,WAAmB,IAAA;;EAMvD,eAAA,IAAmB,KAAA;EvCjIe;EuCmIlC,cAAA,IAAkB,KAAA;EvCnIW;EuCqI7B,aAAA;EvCrIqF;EuCuIrF,mBAAA,IAAuB,MAAA,EAhBmB,gBAAA;;EAkB1C,kBAAA,IAAsB,OAAA,EAAS,MAAA,2BAAiC,YAAA;;EAEhE,gBAAA,IAAoB,SAAA,WAAoB,KAAA;EtCvSN;EsCySlC,cAAA;EtCzSmC;EsC2SnC,eAAA,IAAmB,KAAA;EtCtSL;EsCwSd,aAAA;;;EAGA,aAAA;EtC3SmD;EsC6SnD,aAAA;EtC7SiE;EsC+SjE,mBAAA;EtC/SmF;EsCiTnF,gBAAA;;EAEA,eAAA;;EAEA,cAAA;ErCrTyB;EqCuTzB,sBAAA;ErCvT0B;EqCyT1B,gBAAA;ErC9LW;EqCiMX,eAAA;;EAEA,wBAAA;ErClMS;EqCoMT,wBAAA;ErClMS;EqCoMT,iBAAA;ErClMQ;EqCoMR,qBAAA;ErClMY;EqCoMZ,qBAAA,IAAyB,EAAA;ErC7LrB;EqC+LJ,oBAAA;ErC/L4B;EqCiM5B,SAAA;ErC5LI;EqC8LJ,eAAA;ErC9KA;EqCgLA,OAAA,IAAW,KAAA,UAAe,OAAA;ErChLS;EqCkLnC,cAAA;ErCtKA;EqCwKA,WAAA;IAAgB,OAAA,EAAS,iBAAA;EAAA;ErCxKgB;EqC0KzC,eAAA;IAAoB,OAAA,EAFoB,SAAA;EAAA;ErCtJjB;EqC0JvB,cAAA,GAAiB,cAAA;ErCrIS;EqCuI1B,YAAA;ErClHc;EqCoHd,cAAA;ErCtGQ;EqCwGR,iBAAA;ErCrFQ;EqCuFR,YAAA;ErCxEY;EqC0EZ,WAAA,GAV+B,cAAA;ErCnDlB;EqC+Db,YAAA,IAAgB,WAAA,UAAqB,MAAA,UAAgB,OAAA,GAAU,MAAA;ErChCpC;EqCkC3B,eAAA;IAAoB,OAAA;MAAW,IAAA,GAAO,IAAA;IAAA;EAAA;ErCqDxB;EqCnDd,aAAA;IAAkB,OAAA;EAAA;ErCmEG;EqCjErB,cAAA;IACE,OAAA;MACE,OAAA,GAAU,QAAA,EAAU,aAAA;MACpB,MAAA,QAAc,aAAA;IAAA;EAAA;ErCwGiB;EqCpGnC,WAAA;IAAgB,IAAA;IAAc,IAAA;EAAA;ErCkIjB;EqChIb,iBAAA,IAAqB,IAAA,UAAc,IAAA;ErCgIhB;;EqC7HnB,eAAA,IAAmB,EAAA;AAAA;;;cCyXR,GAAA,EAAG,KAAA,CAAA,mBAAA,EAAA,KAAA,EAAkC,QAAA,KAAW,KAAA,CAAM,YAAA;;;UCpvBlD,YAAA;EACf,IAAA;EACA,OAAA;EACA,MAAA;ElDJ2B;EkDM3B,cAAA;;EAEA,cAAA;;EAEA,MAAA;EjDf0C;;EiDkB1C,IAAA;EjDdQ;AAOV;EiDUE,eAAA;;EAEA,aAAA;EjDVS;EiDYT,YAAA;EjDZQ;;;;EiDiBR,iBAAA;AAAA;AAAA,iBAsBc,OAAA,CAAA;EACd,IAAA;EACA,OAAA;EACA,MAAA;EACA,cAAA;EACA,cAAA;EACA,MAAA;EACA,IAAA;EACA,eAAA;EACA,aAAA;EACA,YAAA;EACA;AAAA,GACC,YAAA,GAAe,KAAA,CAAM,YAAA;;;UC7DP,iBAAA;EACf,KAAA;;EAEA,MAAA;AAAA;AAAA,iBAGc,YAAA,CAAA;EAAe,KAAA;EAAO;AAAA,GAAgB,iBAAA,GAAoB,KAAA,CAAM,YAAA;;;;;;;;;;;;;AnDJhF;coDNa,mBAAA;;;UC0BI,eAAA;EACf,GAAA;EACA,KAAA;EACA,QAAA;AAAA;AAAA,UAGe,cAAA;EACf,KAAA,EAAO,eAAA;;EAEP,SAAA;EnD3BU;EmD6BV,KAAA,GAAQ,WAAA;;EAER,QAAA;EnD/B+B;EmDiC/B,QAAA,IAAY,GAAA;;;AlDxCd;;;;;EkDgDE,cAAA;ElD7CA;;;AAGF;;;;;EkDmDE,iBAAA;AAAA;AAAA,iBAoBc,SAAA,CAAA;EACd,KAAA;EACA,SAAA;EACA,KAAA;EACA,QAAA;EACA,QAAA;EACA,cAAA;EACA;AAAA,GACC,cAAA,GAAiB,KAAA,CAAM,YAAA;;;UC1ET,yBAAA;ErDTf;EqDWA,OAAA;ErDFc;EqDId,KAAA;;EAEA,MAAA;AAAA;;iBAIc,oBAAA,CAAA;EAAuB,OAAA;EAAS,KAAA;EAAO;AAAA,GAAgB,yBAAA,GAA4B,KAAA,CAAM,YAAA;AAAA,UAWxF,yBAAA;ErDpBT;EqDsBN,OAAA;ErDrBC;EqDuBD,KAAA;ErDvB0B;EqDyB1B,MAAA;AAAA;;iBAIc,oBAAA,CAAA;EAAuB,OAAA;EAAS,KAAA;EAAO;AAAA,GAAgB,yBAAA,GAA4B,KAAA,CAAM,YAAA;;;UC3BxF,aAAA;EtDHT;EsDKN,OAAA;EACA,QAAA,EAAU,KAAA,CAAM,SAAA;AAAA;;;;UAMD,oBAAA;EACf,QAAA;EACA,QAAA,EAAU,eAAA;AAAA;AAAA,iBAKI,WAAA,CAAA,GAAe,oBAAA;AAAA,iBAMf,QAAA,CAAA;EAAW,OAAA;EAAS;AAAA,GAAY,aAAA,GAAgB,KAAA,CAAM,YAAA;;;iBCqFhD,QAAA,CAAS,IAAA,EAAM,UAAA,GAAa,OAAA,CAAQ,SAAA;;;;UC9HzC,OAAA;EACf,WAAA,CAAY,GAAA,EAAK,WAAA;EACjB,aAAA,CAAc,IAAA;EACd,eAAA,CAAgB,KAAA,EAAO,cAAA;EACvB,QAAA,CAAS,KAAA,EAAO,QAAA,IAAY,KAAA;EAC5B,eAAA,EAAiB,YAAA;EACjB,cAAA,KAAmB,WAAA;AAAA;AAAA,UAGJ,YAAA;EACf,SAAA;EACA,QAAA;EACA,SAAA;EACA,aAAA;EACA,SAAA,EAAW,QAAA;EACX,YAAA;AAAA;AAAA,iBAEc,kBAAA,CAAA,GAAsB,YAAA;;;;;;;;;;;;;;iBAiBtB,oBAAA,CAAqB,QAAA,EAAU,aAAA;EAAgB,IAAA;AAAA,IAAkB,SAAA;;UAqBhE,oBAAA;EACf,IAAA;EACA,MAAA;EACA,SAAA;EACA,SAAA;EACA,UAAA;EACA,aAAA;EACA,KAAA;EACA,SAAA;EACA,UAAA;EACA,WAAA;AAAA;;;;AtDvDF;;;;;;;;;;iBsDuEgB,mBAAA,CACd,QAAA,WAAmB,WAAA,IACnB,aAAA,WAAwB,oBAAA,IACxB,SAAA,WACC,WAAA;;UAyCc,eAAA;EACf,MAAA;EACA,KAAA;EACA,aAAA;;EAEA,MAAA;ErD/FoB;EqDiGpB,UAAA;ErDjGoB;;EqDoGpB,YAAA;AAAA;;ApDxIF;;;;;;;;;;iBoDsJgB,gBAAA,CAAiB,EAAA,EAAI,eAAA,EAAiB,KAAA,EAAO,YAAA;;;;;;;;;;;;;;;;;;;;;iBAsB7C,WAAA,CAAY,EAAA,EAAI,YAAA,EAAc,IAAA,EAAM,OAAA,EAAS,KAAA,EAAO,YAAA;;;;;;;;;UC/KnD,YAAA;;EAEf,OAAA;;EAEA,YAAA;E1DQ2B;E0DN3B,aAAA;E1DM2B;E0DJ3B,SAAA;AAAA;;UAIe,gBAAA;EACf,IAAA;EACA,OAAA;EACA,UAAA;AAAA;AAAA,iBAGc,aAAA,CAAc,QAAA,WAAmB,gBAAA,IAAoB,KAAA,GAAO,YAAA;;;UClB3D,mBAAA;EACf,MAAA,CAAO,KAAA,WAAgB,WAAA,CAAY,CAAA;AAAA;;iBAIrB,yBAAA,GAAA,CACd,KAAA,WAAgB,cAAA,CAAe,CAAA,KAC/B,OAAA,GAAU,kBAAA,GACT,mBAAA,CAAoB,CAAA;;;UCTN,YAAA;EACf,WAAA,CAAY,GAAA,EAAK,WAAA;EACjB,aAAA,CAAc,IAAA;EACd,eAAA,CAAgB,KAAA,EAAO,cAAA;EACvB,cAAA,KAAmB,WAAA;EACnB,QAAA,EAAU,KAAA,EAAO,QAAA,IAAY,KAAA;EAC7B,eAAA,EAAiB,YAAA;AAAA;AAAA,UAGF,gBAAA;EACf,WAAA,CAAY,GAAA,EAAK,WAAA;EACjB,aAAA,CAAc,IAAA;EACd,eAAA,CAAgB,KAAA,EAAO,cAAA;EACvB,cAAA,IAAkB,WAAA;EAClB,QAAA,CAAS,KAAA,EAAO,QAAA,IAAY,KAAA;EAC5B,eAAA,CAAgB,YAAA;AAAA;AAAA,iBAGF,kBAAA,CAAmB,IAAA,EAAM,gBAAA,GAAmB,YAAA;;;UCnB3C,iBAAA;EACf,MAAA,CAAO,KAAA,EAAO,kBAAA;;EAEd,KAAA,CAAM,YAAA;AAAA;AAAA,iBAGQ,8BAAA,CAA+B,IAAA,EAAM,YAAA,GAAe,iBAAA"}
|